// import { QN_BASEURL } from "../serviceSettings";
let QN_BASEURL = "qnbusiness_";
const config = {
  remoteUrl: {
    url: QN_BASEURL + "/api/v1/sys/page/list",
    method: "post",
  },
  items: [
    {
      span: 8,
      type: "input",
      name: "paramNo",
      label: "参数号",
      value: "",
    },

    {
      span: 8,
      type: "buttonGroup",
      style: { textAlign: "left" },
      options: [
        {
          value: "查询",
          icon: "search",
          btnType: "primary",
          style: "margin-right:10px",
          htmlType: "submit",
        },
        {
          value: "重置",
          icon: "redo",
          on: {
            click: (event, form) => {
              console.log(form);
              form.resetFields();
            },
          },
        },
      ],
    },
  ],
  columns: [
    //     isVisit:"[integer] 是否展示"
    // paramDesc:"[string] 参数描述"
    // paramNo:"[string] 参数号"
    // paramValue:"[string] 参数值"
    {
      dataIndex: "paramValue",
      key: "paramValue",
      align: "center",
      title: "参数值",
    },
    {
      title: "参数号",
      dataIndex: "paramNo",
      align: "center",
      key: "paramNo",
    },
    {
      title: "参数描述",
      dataIndex: "paramDesc",
      align: "center",
      key: "paramDesc",
    },

    {
      title: "修改时间",
      dataIndex: "updateTime",
      align: "center",
      key: "updateTime",
    },
    {
      title: "创建时间",
      dataIndex: "createTime",
      align: "center",
      key: "createTime",
    },

    // {
    //   title: "是否展示",
    //   dataIndex: "isVisit",
    //   align: "center",
    //   key: "isVisit",
    //   customRender(text) {
    //     text == 0 && (text = "否");
    //     text == 1 && (text = "是");
    //     return text;
    //   },
    // },

    {
      title: "操作",
      width: 150,
      key: "operation",
      scopedSlots: { customRender: "operation" },
      fixed: "right",
      align: "center",
    },
  ],
  Modelitems: [
    {
      span: 24,
      type: "input",
      name: "paramValue",
      required: true,
      label: "参数值",
      value: "",
    },
    {
      span: 24,
      type: "input",
      name: "id",
      hidden: true,
      label: "id",
      value: "",
    },
    {
      span: 24,
      type: "input",
      required: true,
      name: "paramNo",
      label: "参数号",
      value: "",
    },
    {
      span: 24,
      type: "input",
      required: true,
      name: "paramDesc",
      label: "参数描述",
      value: "",
    },

    {
      span: 24,
      type: "number",
      hidden: true,
      name: "isVisit",
      label: "是否展示",
      value: 1,
    },
  ],
};
export default config;
