import { axios } from '@/utils/request'
import { centerUrl } from '@/views/EIS/project/sanyEIS/serviceSettings'
import { upcloud_base_common  } from "@/config/serviceSettings";

export const listRemoteUrl = {
  url: centerUrl + '/api/outPickTask/page',
  method: 'get'
}
export const detailListRemoteUrl = {
  url: centerUrl + '/api/outPickTask/pageDetails',
  method: 'get'
}
// 获取下发类型
export const getBroadcastType = params => {
  return axios.get(centerUrl + '/api/outPickTask/getTaskType', { params })
}
// 更新下发类型
export const updateBroadcastType = data => {
  return axios.post(centerUrl + '/api/outPickTask/updateTaskType', data)
}
// 计划下发
export const broadcast = data => {
  return axios.post(centerUrl + '/api/outPickTask/planIssued', data)
}
// 获取字典
export const getDictionaryOptions = data =>{
  return axios.post(upcloud_base_common + '/dict/listbytype?dicttypeCodes=getTaskType', data)
}