export const columns = [
    {
        title: 'id',
        dataIndex: 'id',
        key: 'id',
        hidden: true
    },

    {
        title: '起始区域',
        dataIndex: 'sourceAreaNo',
        key: 'sourceAreaNo',
        width: 70
    },
    {
        title: '终点区域',
        dataIndex: 'targetAreaNo',
        key: 'targetAreaNo',
        width: 70
    },
    {
        title: '提升机编号',
        dataIndex: 'hoistNo',
        key: 'hoistNo',
        width: 70
    },
    {
        title: '是否为默认跨层方向',
        dataIndex: 'isDefault',
        key: 'isDefault',
        width: 100,
        scopedSlots: { customRender: 'isEnable' },
        customRender(text) {
            text == 0 && (text = '否')
            text == 1 && (text = '是')
            return text
          }
    },
    {
        title: '创建时间',
        dataIndex: 'createTime',
        key: 'createTime',
        width: 70,
    },
    {
        title: '更新时间',
        dataIndex: 'updateTime',
        key: 'updateTime',
        width: 70,
    },
    {
        title: '操作',
        dataIndex: 'operator',
        key: 'operator',
        width: 140,
        scopedSlots: { customRender: 'operator' },
    },
];


