export const setMainColumns = self => {
  return [
    { dataIndex: 'id', title: 'ID' },
    { dataIndex: 'dsName', title: '数据源名称' },
    { dataIndex: 'dsUserName', title: '账号', hidden: true },
    // { dataIndex: 'dsPassword',title: '密码'},
    {
      dataIndex: 'dsUrl',
      title: 'URL',
      ellipsis: true,
      customRender: text => {
        return self._c('div', { class: 'ant-table-row-cell-ellipsis', style: { width: '300px' } }, [self._v(text)])
      }
    },
    { dataIndex: 'dsValidationQuery', title: 'SQL', hidden: true },
    { dataIndex: 'dsDriver', title: '驱动' },
    { dataIndex: 'dsInitialSize', title: '初始化大小' },
    { dataIndex: 'dsMaxActive', title: '最大连接数' },
    { dataIndex: 'dsMaxWait', title: '超时时间' },
    { dataIndex: 'dsMinIdle', title: '最小空闲连接数' },
    { dataIndex: 'dsDescription', title: '描述' ,width: 150},
    {
      key: 'operation',
      title: '操作',
      width: 200,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' }
    }
  ]
}
