import {upcloud_base_chain} from "@/config/serviceSettings";
//
export const customer = {
  //  
  remoteUrl: { url: upcloud_base_chain+'/baseCustomerMst/v1.0/page', method: 'post' },
    // 条件 货主 仓库
  // 组件用于form组件时，隐藏表单项含id code
  items: [
    { hidden: true, type: 'input', name: 'customerId', label: '客户ID', value: '' },
    { hidden: true, type: 'input', name: 'customerCode', label: '客户编码', value: '' }
  ],

  // seach-modal配置
  defSearchConfig: {
    name: 'customerName',
    label: '客户名称',
    title: '客户名称',
    value: '',
    rowKey: 'customerId',
    destroyOnClose: true,
    targetClick: true,
    targetValueKey: 'customerName'
  },

  // modal的搜索栏
  defToolBar: {
    items: [
      {
        type: 'input',
        name: 'customerCode',
        label: '客户编码'
      },
      {
        type: 'input',
        name: 'customerName',
        label: '客户名称'
      }
    ]
  },

  // modal的table配置
  defTableCol: [
    { dataIndex: 'customerId', title: 'ID', hidden: true },
    { dataIndex: 'customerName', title: '客户名称' },
    { dataIndex: 'customerCode', title: '客户编码' }
  ]
}
