import {upcloud_base_wh} from "@/config/serviceSettings";
// 月台 ——> 依赖 暂无

export const plat = {

	remoteUrl: { url: upcloud_base_wh+'/platform/page', method: 'get' },

    // 组件用于form组件时，隐藏表单项含id code
    items: [
        { hidden: true, type: 'input', name: 'platId', label: 'ID', value: '' },
        { hidden: true, type: 'input', name: 'platCode', label: '编码', value: '' },
    ],

    // seach-modal配置
    defSearchConfig: {
        name: 'platName', 
		label: '月台', 
		title: '月台', 
		value: '',
        rowKey: 'platId', 
		destroyOnClose: true, 
		targetClick: true,
        targetValueKey: 'platName',
    },

    // modal的搜索栏
    defToolBar: { items: [
		{type: 'input',name: 'platName',label: '月台名称',value: ''},
		{type: 'input',name: 'platCode',label: '月台编码',value: ''}
	] },

    // modal的table配置
    defTableCol: [
        { dataIndex: 'platId', title: 'ID', hidden: true },
        { dataIndex: 'platName', title: '月台名称' },
        { dataIndex: 'platCode', title: '月台编码' },
        { dataIndex: 'platType', title: '月台类型' }
    ]

};

