import {upcloud_base_wh} from "@/config/serviceSettings";
// 工作站 ——> 依赖 暂无

export const station = {

	remoteUrl: { url: upcloud_base_wh+'/workstation/page', method: 'get' },
	
    // 组件用于form组件时，隐藏表单项含id code
    items: [
        { hidden: true, type: 'input', name: 'stationId', label: 'ID', value: '' },
        { hidden: true, type: 'input', name: 'stationCode', label: '编码', value: '' },
    ],

    // seach-modal配置
    defSearchConfig: {
        name: 'stationName', 
		label: '工作站', 
		title: '工作站', 
		value: '',
        rowKey: 'stationId', 
		destroyOnClose: true, 
		targetClick: true,
        targetValueKey: 'stationName',
    },

    // modal的搜索栏
    defToolBar: { items: [
		{type: 'input',name: 'stationName',label: '工作站名称',value: ''},
		{type: 'input',name: 'stationCode',label: '工作站编码',value: ''}
	] },

    // modal的table配置
    defTableCol: [
        { dataIndex: 'stationId', title: 'ID', hidden: true },
        { dataIndex: 'stationName', title: '工作站名称' },
        { dataIndex: 'stationCode', title: '工作站编码' },
        { dataIndex: 'stationType', title: '工作站类型' }
    ]

};

