/*
 * @Date: 2022-07-04 16:00:04
 * @LastEditors: 陈禹琨 cyk910622@163.com
 * @LastEditTime: 2022-08-02 14:17:13
 * @FilePath: \upcloud-wms-hnsy-web\src\views\kzyWMS\SearchModal\supplier.js
 * @Description: cyk
 */
import { upcloud_base_chain } from "@/config/serviceSettings";

export const supplier = {
  // remoteUrl: { url: upcloud_base_chain+'/workstation/page', method: 'get' },
  remoteUrl: { url: upcloud_base_chain + "/baseSupplierMst/v1.0/page", method: "post" },
  // 条件 货主 仓库
  // 组件用于form组件时，隐藏表单项含id code
  items: [
    { hidden: true, type: "input", name: "supplierId", label: "单位ID", value: "" },
    { hidden: true, type: "input", name: "supplierCode", label: "单位编码", value: "" },
  ],

  // seach-modal配置
  defSearchConfig: {
    name: "supplierName",
    label: "单位",
    title: "单位",
    value: "",
    rowKey: "supplierId",
    destroyOnClose: true,
    targetClick: true,
    targetValueKey: "supplierName",
  },

  // modal的搜索栏
  defToolBar: {
    items: [
      {
        type: "input",
        name: "name",
        label: "单位名称",
        value: "",
        span: 8,
      },
      {
        type: "input",
        name: "code",
        label: "单位编码",
        value: "",
        span: 8,
      },
    ],
  },

  // modal的table配置
  defTableCol: [
    { dataIndex: "supplierId", title: "单位ID", hidden: true },
    { dataIndex: "supplierName", title: "单位名称" },
    { dataIndex: "supplierCode", title: "单位编码" },
  ],
};
