import { genWarehouseAuthSearchModal, genCargoownerAuthSearchModal } from '@/views/kzyWMS/SearchModal'
import { options } from 'less'
import { handleShowProductionDate } from '../script/lineHandleLogic'

let grid = {
  labelCol: { span: 8 },
  span: 8
}
export function setFormItems(self) {
  let _this = self
  return [
    // ...genWarehouseAuthSearchModal(1, true, false, null, null, grid),
    // ...genCargoownerAuthSearchModal(1, true, false, null, null, grid),
    // {
    //   type: 'input',
    //   name: 'warehouseId',
    //   label: '仓库ID',
    //   hidden: true,
    //   value: ''
    // },
    {
      type: 'input',
      name: 'itemCode',
      label: '商品编号',
      value: ''
    },
    {
      type: 'input',
      name: 'manufacturerLotNum',
      label: '商品批号',
      value: ''
    },
    {
      type: 'input',
      name: 'itemName',
      label: '商品名称',
      value: ''
    },
    // {
    //   type: 'row',
    //   label: '日期',
    //   span: 8,
    //   list: [
    //     {
    //       type: 'date',
    //       name: 'startTime',
    //       placeholder: '请输入开始日期',
    //       // value: that.startTime,
    //       format: 'YYYY-MM-DD',
    //       style: 'padding-right:5px;'
    //     },
    //     {
    //       type: 'date',
    //       name: 'endTime',
    //       placeholder: '请输入结束日期',
    //       format: 'YYYY-MM-DD',
    //       // value: that.endTime
    //     }
    //   ]
    // },
    {
      span: 24,
      type: 'buttonGroup',
      style: { textAlign: 'right' },
      options: [
        {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-right:10px',
          htmlType: 'submit'
        },
        {
          value: '重置',
          icon: 'redo',
          on: {
            click: () => {
              self.$refs.formTarget.form.resetFields()
            }
          }
        }
      ]
    }
  ]
}
const columns = [
  // {
  //   title: '序号',
  //   dataIndex: 'index',
  //   key: 'index',
  //   scopedSlots: { customRender: 'index' }
  // },
  {
    title: '商品编号',
    ellipsis: true,
    dataIndex: 'itemCode'
  },
  {
    title: '商品名称',
    ellipsis: true,
    dataIndex: 'itemName'
  },
  {
    title: '批号',
    ellipsis: true,
    dataIndex: 'manufacturerLotNum'
  },
  { 
    title: '生产日期',
    dataIndex: 'batchProductionDate'
  },
  {
    title: '有效期至',
    dataIndex: 'batchExpiredDate'
  },
  { 
    title: '显示生产日期',
    dataIndex: 'batchProductionShow'
  },
  {
    title: '显示有效期至',
    dataIndex: 'batchExpiredShow'
  },
  {
    title: '最后修改人',
    dataIndex: 'modifierName'
  },
  {
    title: '最后修改时间',
    dataIndex: 'gmtModified'
  },
  // {
  //   title: '调整原因',
  //   ellipsis: true,
  //   dataIndex: 'adjustReason'
  // },
  // {
  //   title: '批准文号',
  //   ellipsis: true,
  //   dataIndex: 'approvalNo'
  // },
  // {
  //   title: '批次ID',
  //   ellipsis: true,
  //   dataIndex: 'batchId'
  // },
  // {
  //   title: '批次号',
  //   ellipsis: true,
  //   dataIndex: 'batchNum'
  // },
  // {
  //   title: '单据日期',
  //   ellipsis: true,
  //   dataIndex: 'billdate'
  // },
  // {
  //   title: '单据ID',
  //   ellipsis: true,
  //   dataIndex: 'billid'
  // },
  // {
  //   title: '单据编号',
  //   ellipsis: true,
  //   dataIndex: 'billno'
  // },
  // {
  //   title: '业务类型',
  //   ellipsis: true,
  //   dataIndex: 'billtype'
  // },
  // {
  //   title: '仓库名称',
  //   ellipsis: true,
  //   dataIndex: 'branchname'
  // },

  // {
  //   title: '业主编号',
  //   ellipsis: true,
  //   dataIndex: 'consignorcode'
  // },
  // {
  //   title: '货主名称',
  //   ellipsis: true,
  //   dataIndex: 'consignorname'
  // },
  // {
  //   title: '包装含量',
  //   ellipsis: true,
  //   dataIndex: 'conversionRate'
  // },
  // {
  //   title: '产地',
  //   ellipsis: true,
  //   dataIndex: 'countryOrigin'
  // },
  // {
  //   title: '类型',
  //   ellipsis: true,
  //   dataIndex: 'datasource'
  // },

  // {
  //   title: '企业名称',
  //   ellipsis: true,
  //   dataIndex: 'enterprisename'
  // },
  // {
  //   title: '调整前有效期至',
  //   ellipsis: true,
  //   dataIndex: 'expiredDate'
  // },
  // {
  //   title: '记录时间',
  //   ellipsis: true,
  //   dataIndex: 'iarDate'
  // },
  // {
  //   title: '备注',
  //   ellipsis: true,
  //   dataIndex: 'remark'
  // },
  // {
  //   title: '行号',
  //   ellipsis: true,
  //   dataIndex: 'seqno'
  // },
  // {
  //   title: '商品规格',
  //   ellipsis: true,
  //   dataIndex: 'specification'
  // },
  // {
  //   title: '库存状态',
  //   ellipsis: true,
  //   dataIndex: 'stockStatus'
  // },
  // {
  //   title: '包装单位',
  //   ellipsis: true,
  //   dataIndex: 'uom'
  // },
  // {
  //   title: 'WMS单据编号',
  //   ellipsis: true,
  //   dataIndex: 'wmsbillno'
  // },


  // {
  //   title: '仓库名称',
  //   dataIndex: 'warehouseId'
  // },
  // {
  //   title: '货主编号',
  //   dataIndex: 'cargoOwnerCode'
  // },
  // {
  //   title: '货主名称',
  //   dataIndex: 'cargoOwnerName'
  // },
  // {
  //   title: '商品名称',
  //   dataIndex: 'itemName'
  // },
  // {
  //   title: '商品编号',
  //   dataIndex: 'itemCode'
  // },
  // {
  //   title: '商品规格',
  //   dataIndex: 'specification'
  // },
  // {
  //   title: '商品助记码',
  //   dataIndex: 'itemZjm'
  // },
  
  // {
  //   title: '包装单位',
  //   dataIndex: 'uom'
  // },
  // {
  //   title: '生产厂家',
  //   dataIndex: 'manufacturerName'
  // },
  // {
  //   title: ' 包装含量',
  //   dataIndex: 'conversionRate'
  // },
  // {
  //   title: '商品批号(生产商)',
  //   dataIndex: 'manufacturerLotNum'
  // },
  // {
  //   title: '商品批号(新)',
  //   dataIndex: 'manufacturerLotNumNew'
  // },
  // {
  //   title: '批准文号',
  //   dataIndex: 'approvalNo'
  // },
  // {
  //   title: '生产日期',
  //   dataIndex: 'batchProductionShowNew'
  // },
  // {
  //   title: '有效期至',
  //   dataIndex: 'batchExpiredShowNew'
  // },
  // {
  //   title: '外箱码(最大包装)',
  //   dataIndex: 'caseBarcode'
  // },
  // {
  //   title: '条码(最小包装)',
  //   dataIndex: 'registerNo'
  // },
  // {
  //   title: '产地',
  //   dataIndex: 'countryOrigin'
  // },
  // {
  //   title: '灭菌批号',
  //   dataIndex: 'SIPNo'
  // },
  // {
  //   title: '分装批号',
  //   dataIndex: 'spiltNo'
  // },
  {
    title: '操作',
    key: 'operate',
    align: 'center',
    fixed: 'right',
    width: '175px',
    scopedSlots: { customRender: 'action' }
  }
]
export function deitalFormItems(self) {
  let _this = self
  return [
    {
      label: '审核意见',
      value: '',
      type: 'input',
      required: true,
      name: 'auditOpinion'
    },
    {
      label: '审核状态',
      value: '',
      type: 'select',
      required: true,
      name: 'auditStatus',
      options: [
        {
          value: '0',
          label: '不通过'
        },
        {
          value: '1',
          label: '通过'
        }
      ]
    }
  
    // {
    //   span: 24,
    //   type: 'buttonGroup',
    //   style: { textAlign: 'right' },
    //   options: [
    //     {
    //       value: '查询',
    //       icon: 'search',
    //       btnType: 'primary',
    //       style: 'margin-right:10px',
    //       htmlType: 'submit'
    //     },
    //     {
    //       value: '重置',
    //       icon: 'redo',
    //       on: {
    //         click: () => {
    //           self.$refs.formTarget.form.resetFields()
    //         }
    //       }
    //     }
    //   ]
    // }
  ]
}

export { columns }
