export const columns = [
  {
    title: '货主编码',
    dataIndex: 'cargoOwnerCode',
    key: 'cargoOwnerCode',
    width: 150
  },
  {
    title: '货主名称',
    dataIndex: 'cargoOwnerName',
    key: 'cargoOwnerName'
  },
  {
    title: '货主ID',
    dataIndex: 'cargoOwnerId',
    key: 'cargoOwnerId',
    hidden: true
  },
  {
    title: '状态',
    dataIndex: 'status',
    key: 'status',
    customRender: text => {
      var a = ''
      if (text == 0) {
        a = '待审核'
      }
      if (text == 1) {
        a = '审核通过'
      }
      if (text == 2) {
        a = '驳回'
      }
      if (text == 3) {
        a = '作废'
      }
      return a
    }
  },
  {
    title: '所属行业',
    dataIndex: 'industry',
    key: 'industry'
  },
  {
    title: '开户行',
    dataIndex: 'bankName',
    key: 'bankName'
  },
  {
    title: '开户人',
    dataIndex: 'bankAccountName',
    key: 'bankAccountName'
  },
  {
    title: '创建时间',
    dataIndex: 'gmtCreate',
    key: 'gmtCreate'
  },
  {
    title: '修改时间',
    dataIndex: 'gmtModified',
    key: 'gmtModified'
  },
  {
    title: '创建人',
    dataIndex: 'creatorName',
    key: 'creatorName'
  },
  {
    title: '修改人',
    dataIndex: 'modifierName',
    key: 'modifierName'
  },
  // {
  //   title: '是否启用',
  //   dataIndex: 'isEnable',
  //   key: 'isEnable'
  // },

  {
    title: '操作',
    dataIndex: 'operator',
    key: 'operator',
    scopedSlots: { customRender: 'operator' }
  }
]

export const dictColumns = [
  {
    title: '字典编号',
    dataIndex: 'dictCode',
    key: 'dictCode',
    width: 150
  },
  {
    title: '字典名称',
    dataIndex: 'dictName',
    key: 'dictName'
  },
  {
    title: '启用标识',
    dataIndex: 'isEnable',
    key: 'isEnable',
    scopedSlots: { customRender: 'isEnable' }
  },
  {
    title: '备注',
    dataIndex: 'dictDesc',
    key: 'dictDesc'
  },
  {
    title: '操作',
    dataIndex: 'operator',
    key: 'operator',
    scopedSlots: { customRender: 'operator' }
  }
]
