export const HealthLicensecolumns = [
  {
    type: 'edit',
    dataIndex: 'certificateName',
    label: '证件名称',
    title: '证件名称',
    width: 200,
    required: true,
    rules: {
      type: 'string',
      message: '最大长度不能超过60个',
      validator: (rule, value, cb) => {
        value.length >= 60 ? cb(true) : cb()
      }
    },
    //   rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }],
    value: ''
  },
  {
    dataIndex: 'certificateCode',
    title: '证件编码',
    align: 'center',
    width: 200,
    // required: true,
    type: 'edit',
    rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }]
    // hidden: true,
  },
  {
    dataIndex: 'certificateStatus',
    title: '证件状态',
    align: 'center',
    width: 100,
    // required: true,
    type: 'select',
    value: '1',
    options: [
      { value: '1', label: '有效' },
      { value: '0', label: '过期' }
    ],
    customRender(text) {
      text == 0 && (text = '过期')
      text == 1 && (text = '有效')
      return text
    }
    // hidden: true,
  },
  {
    dataIndex: 'certificationDate',
    title: '证件起始日期',
    align: 'center',
    // required: true,
    width: 200,
    type: 'date'
    // hidden: true,
  },
  {
    dataIndex: 'expireDate',
    title: '证件截止日期',
    align: 'center',
    // required: true,
    width: 200,
    type: 'date'
    // hidden: true,
  }
]
