import { api } from "../../../api/common/dictionaries-type";

export const purchaseSale = [
    {
        type: "number", name: "piecePurchasePriceTe", label: "不含税采购价", value: "",
        max: 9999999999999999.9999, min: 0, precision: 4,
        labelCol: { span: 6 }, span: 6
    },
    {
        type: "number", name: "piecePurchasePriceTi", label: "含税采购价", value: "",
        max: 9999999999999999.9999, min: 0, precision: 4,
        labelCol: { span: 6 }, span: 6
    },
    {
        type: "number", name: "pieceSalePriceTe", label: "不含税销售价", value: "",
        max: 9999999999999999.9999, min: 0, precision: 4,
        labelCol: { span: 6 }, span: 6
    },
    {
        type: "number", name: "pieceSalePriceTi", label: "含税销售价", value: "",
        max: 9999999999999999.9999, min: 0, precision: 4,
        labelCol: { span: 6 }, span: 6
    },
    {
        type: "number", name: "taxRatePurchase", label: "进项税率", value: "",
        max: 9999999999999999.9999, min: 0, precision: 4,
        labelCol: { span: 6 }, span: 6
    },
    {
        type: "number", name: "taxRateSale", label: "销项税率", value: "",
        max: 9999999999999999.9999, min: 0, precision: 4,
        labelCol: { span: 6 }, span: 6
    },
    {
        type: "select", name: "itemSaleAttribute1", label: "商品销售属性", value: "",
        labelCol: { span: 6 }, span: 6,
        autoLoad: true,
        remoteUrl: { url: api.queryDictList + '?dicttypeCodes=saleattribute', method: 'post' },
        replaceFields: {
            value: 'dictCode',
            label: 'dictName'
        },
    },
    {
        type: "SwitchValue", name: "purchaseIsEnable", label: "采购启用标识", value: 1,
        labelCol: { span: 6 }, span: 6
    },
    {
        type: "SwitchValue", name: "purchaseReturnIsEnable", label: "采退启用标识", value: 1,
        labelCol: { span: 6 }, span: 6
    },
    {
        type: "SwitchValue", name: "saleIsEnable", label: "销售启用标识", value: 1,
        labelCol: { span: 6 }, span: 6
    },
    {
        type: "SwitchValue", name: "saleReturnIsEnable", label: "销退启用标识", value: 1,
        labelCol: { span: 6 }, span: 6
    },
];