export const columns = [
  {
    title: '供应商名称',
    dataIndex: 'supplierName',
    key: 'supplierName',
    width: 150
  },
  {
    title: '供应商编码',
    dataIndex: 'supplierCode',
    key: 'supplierCode'
  },
  {
    title: '状态',
    dataIndex: 'status',
    key: 'status',
    customRender: text => {
      var a = ''
      if (text == 0) {
        a = '待审核'
      }
      if (text == 1) {
        a = '审核通过'
      }
      if (text == 2) {
        a = '驳回'
      }
      if (text == 3) {
        a = '作废'
      }
      return a
    }
  },
  {
    title: '供应商ID',
    dataIndex: 'supplierId',
    key: 'supplierId',
    hidden: true
  },

//   {
//     title: '采购启用标识',
//     dataIndex: 'purchaseEnabledFlag',
//     key: 'purchaseEnabledFlag'
//     // hidden: true
//   },

//   {
//     title: '采购退货启用标识',
//     dataIndex: 'returnEnabledFlag',
//     key: 'returnEnabledFlag'
//   },
  // {
  //   title: '付运方式',
  //   dataIndex: 'shippingMethodId',
  //   key: 'shippingMethodId'
  // },
//   {
//     title: '付款方式',
//     dataIndex: 'paymentMethod',
//     key: 'paymentMethod'
//   },
  {
    title: '创建时间',
    dataIndex: 'gmtCreate',
    key: 'gmtCreate'
  },
  {
    title: '修改时间',
    dataIndex: 'gmtModified',
    key: 'gmtModified'
  },
  {
    title: '创建人',
    dataIndex: 'creatorName',
    key: 'creatorName'
  },
  {
    title: '修改人',
    dataIndex: 'modifierName',
    key: 'modifierName'
  },

  {
    title: '操作',
    dataIndex: 'operator',
    key: 'operator',
    scopedSlots: { customRender: 'operator' }
  }
]
