import { upcloud_base_common } from "@/config/serviceSettings";

const src = upcloud_base_common+'/dict/listbytype?dicttypeCodes='
export const columns = function (self) {
    return [
        { dataIndex: 'personName', title: '上架员名称', width: 150 },
        { dataIndex: 'workercode', title: '上架员编号', width: 150 },
        { dataIndex: 'priority', title: '上架顺序', width: 150 },
        {
            dataIndex: 'whAreaCategoryCode',
            title: '库别',
            width: 150,
            remoteUrl: { url: src + 'wms_storeroom', method: 'post' },
            replaceFields: {
              value: 'dictCode',
              label: 'dictName'
            }
        },
        { dataIndex: 'workarea', title: '区域' },
        { dataIndex: 'assistantCode', title: '助记码', width: 150 },
        {
            title: '操作',
            dataIndex: 'operator',
            key: 'operator',
            fixed: 'right',
            width: 100,
            scopedSlots: { customRender: 'operator' }
        }
    ]
};
