import { upcloud_base_common } from "@/config/serviceSettings";

const src = upcloud_base_common+'/dict/listbytype?dicttypeCodes='
export const columns = function (self) {
    return [
        { dataIndex: 'personName', title: '拣货人员名称', width: 150 },
        { dataIndex: 'workercode', title: '拣货人员编号', width: 150 },
        { dataIndex: 'priority', title: '补货顺序', width: 150 },
        { dataIndex: 'breakOddGroup', title: '拆零分组', width: 150 },
        { dataIndex: 'workarea', title: '区域' },
        { dataIndex: 'assistantCode', title: '助记码', width: 150 },
        {
            title: '操作',
            dataIndex: 'operator',
            key: 'operator',
            fixed: 'right',
            width: 100,
            scopedSlots: { customRender: 'operator' }
        }
    ]
};
