import request from '@/utils/request'
import {upcloud_base_chain} from "@/config/serviceSettings";

export function getSupplierMst(parameter) {
    return request({
        method: 'post',
        url: upcloud_base_chain+'/baseSupplierMst/v1.0/healthLicense/page/' + parameter,
        // data: parameter
    });
}

export function getCustomerMst(parameter) {
    return request({
        method: 'post',
        url: upcloud_base_chain+'/baseCustomerMst/v1.0/healthLicense/page/' + parameter,
        // data: parameter
    });
}

export const cols = [
    { hidden: true, title: 'licenseId', dataIndex: 'licenseId', key: 'licenseId' },
    // { title: '供应商编号', dataIndex: 'vendorCode', key: 'vendorCode' },
    {type:'txt', title: '供应商名称', dataIndex: 'vendorName', key: 'vendorName' },
    { type:'txt',title: '图片名称', dataIndex: 'licenseName', key: 'licenseName' },
    {
        title: '图片地址', dataIndex: 'picUpload', key: 'picUpload',
        scopedSlots: { customRender: 'picUpload' },
    },
]