import request from '@/utils/request'
import {upcloud_base_wh_inbound} from "@/config/serviceSettings";

export function getSupplierMst(parameter) {
    return request({
        method: 'get',
        url: upcloud_base_wh_inbound+'/rqcHeaders/showRcvLinePic',
        // contentType:"x-www-form-urlencoded",
        contentType: 'application/x-www-form-urlencoded',
        params: parameter
    });
}

export const cols = [
    { hidden: true, title: 'rcvHeaderPicId', dataIndex: 'rcvHeaderPicId', key: 'rcvHeaderPicId' },
    { hidden: true, title: 'itemId', dataIndex: 'itemId', key: 'itemId' },
    { title: '商品名称', dataIndex: 'itemName', key: 'itemName',width:280 },
    { title: '图片名称', dataIndex: 'picFilename', key: 'picFilename',width:280 },
    {
        title: '图片地址', dataIndex: 'picFileurl', key: 'picFileurl',width:280,
        scopedSlots: { customRender: 'picFileurl' },
    },
]