
export const extendFormItems = function (_this) {
    return [
        { hidden: true, title: "rqcLineId", dataIndex: "rqcLineId", key: "rqcLineId" },
        { hidden: true, title: "warehouseId", dataIndex: "warehouseId", key: "warehouseId" },

        // { type: 'txt', title: "库别", dataIndex: "whAreaCategoryCode", key: "whAreaCategoryCode", width: 120 },
        // { type: 'txt', title: "是否打印标", dataIndex: "itemNum", key: "itemNum", width: 120 },
        { type: 'txt', title: "托盘条码", dataIndex: "containerCode", key: "containerCode", width: 120 },
        { type: 'txt', title: "商品编号", dataIndex: "itemNum", key: "itemNum", width: 120 },
        { type: 'txt', title: "商品名称", dataIndex: "itemName", key: "itemName", width: 160 },
        { type: 'txt', title: "商品规格", dataIndex: "specification", key: "specification", width: 120 },
        { type: 'txt', title: "商品助记码", dataIndex: "itemZjm", key: "itemZjm", width: 120 },
        { type: 'txt', title: "包装单位", dataIndex: "uom", key: "uom", width: 90 },
        { type: 'txt', title: "包装数", dataIndex: "conversionRate", key: "conversionRate", width: 90 },
        { type: 'txt', title: "件数", dataIndex: "oddCaseQty", key: "oddCaseQty", width: 120 },
        { type: 'txt', title: "数量", dataIndex: "pieceQty", key: "pieceQty", width: 120 },
        { type: 'txt', title: "批次号", dataIndex: "batchNum", key: "batchNum", width: 120 },
        { type: 'txt', title: "批号", dataIndex: "manufacturerLotNum", key: "manufacturerLotNum", width: 60 },
        {
            type: 'txt', title: "显示生产日期", dataIndex: "showProductionDate", key: "showProductionDate", width: 120,
            customRender(text, record) {
                return record.manufacturerLotNum === '*' ? '' :
                    (text ? text.substring(0, 10) : '');
            }
        },
        {
            type: 'txt', title: "显示有效期至", dataIndex: "showExpiredDate", key: "showExpiredDate", width: 120,
            customRender(text, record) {
                return record.manufacturerLotNum === '*' ? '' :
                    (text ? text.substring(0, 10) : '');
            }
        },
        { type: 'txt', title: "注册证号", dataIndex: "itemHealthRegisterNbr", key: "itemHealthRegisterNbr", width: 100 },
        // { type: 'txt', title: "验收结果", dataIndex: "oddCaseQty", key: "oddCaseQty", width: 120 },
        // { type: 'txt', title: "上架员", dataIndex: "oddPieceQty", key: "oddPieceQty", width: 150 },
        // { type: 'txt', title: "显示货位", dataIndex: "pieceQty", key: "pieceQty", width: 150 },
        // { type: 'txt', title: '货格', dataIndex: 'piecePriceTi', key: 'piecePriceTi', width: 80 },
    ];
}
