const columns = [
  // { type: 'txt', hidden: true, title: 'taskRqcId', dataIndex: 'taskRqcId', key: 'taskRqcId' },
  { title: 'taskRecheckId', dataIndex: 'taskRecheckId', key: 'taskRecheckId', hidden: true },
  { title: '商品助记码', dataIndex: 'itemZjm', key: 'itemZjm', width: 100, hidden: true },
  { title: '单位助记码', dataIndex: 'shipperZjm', key: 'shipperZjm', width: 100, hidden: true },

  { title: 'qcReResult', dataIndex: 'qcReResult', key: 'qcReResult', hidden: true },
  { title: 'qcReOpcode', dataIndex: 'qcReOpcode', key: 'qcReOpcode', width: 100, hidden: true },
  { title: 'qcReDate', dataIndex: 'qcReDate', key: 'qcReDate', width: 100, hidden: true },
  { title: 'qcReSuggestion', dataIndex: 'qcReSuggestion', key: 'qcReSuggestion', width: 100, hidden: true },
  { title: 'qcReResult2', dataIndex: 'qcReResult2', key: 'qcReResult2', hidden: true },
  { title: 'qcReOpcode2', dataIndex: 'qcReOpcode2', key: 'qcReOpcode2', width: 100, hidden: true },
  { title: 'qcReDate2', dataIndex: 'qcReDate2', key: 'qcReDate2', width: 100, hidden: true },
  { title: 'qcReSuggestion2', dataIndex: 'qcReSuggestion2', key: 'qcReSuggestion2', width: 100, hidden: true },
  { hidden: true, title: '容器编号', dataIndex: 'containerCode', key: 'containerCode', },
  { hidden: true,title: "货格", dataIndex: "goodsCaseCode", key: "goodsCaseCode", width: 60, type: "txt" },
  { hidden: true, title: "批次号", dataIndex: "batchNum", key: "batchNum", width: 140, type: "txt" },


  { title: "商品编码", dataIndex: "itemNum", key: "itemNum", width: 120, type: "txt" },
  { title: "商品条码", dataIndex: "itemBarCode", key: "itemBarCode", width: 100, type: "txt", hidden: true },
  { title: "商品名称", dataIndex: "itemName", key: "itemName", width: 160, type: "txt" },
  { title: "商品分类", dataIndex: "categoryName", key: "categoryName", width: 120, type: "txt", hidden: true },
  { title: "包装单位", dataIndex: "uom", key: "uom", width: 80, type: "txt" },
  { title: "包装数", dataIndex: "conversionRate", key: "conversionRate", width: 80, type: "txt" },
  { title: "商品大类", dataIndex: "categoryName", key: "categoryName", width: 80, type: "txt" },
  { title: "生产厂家", dataIndex: "manufacturerName", key: "manufacturerName", width: 80, type: "txt" },
  { title: "产地", dataIndex: "productionPlace", key: "productionPlace", width: 80, type: "txt" },
  {
    type: 'txt', width: 80, title: '是否委托生产', dataIndex: 'isDelegate', key: 'isDelegate', customRender(text) {
      return text == '1' ? '是' : '否'
    }
  },
  { title: "受托生产企业", dataIndex: "delegationPartyName", key: "delegationPartyName", width: 80, type: "txt" },
  { title: "批准文号", dataIndex: "approvalNumber", key: "approvalNumber", width: 120, type: "txt" },
  { title: "上市许可证持有人", dataIndex: "itemHealthListedLicensor", key: "itemHealthListedLicensor", width: 140, type: "txt" },
  // { title: '复检类型', dataIndex: 'rqcType', key: 'rqcType', width: 80, type: "txt"},
  { title: '复检类型', dataIndex: 'rqcReType', key: 'rqcReType', width: 80, type: "txt"},
  { title: '质量主管复检人', dataIndex: 'qcReOpcode', key: 'qcReOpcode', width: 120, type: "txt"},
  { title: "数量", dataIndex: "pieceQty", key: "pieceQty", width: 80, type: "txt" },
  {
    title: "验收结论", dataIndex: "rqcResult", key: "rqcResult", width: 80, type: "txt",
    customRender(text) {
      let options = [
        // 合格0/不合格1/待处理2/拒绝3 
        { value: '0', label: '合格' },
        { value: '1', label: '不合格' },
        { value: '2', label: '待处理' },
        { value: '3', label: '拒收' }
      ]
      return options.find(t => t.value == text).label;
    },
  },
  { title: "处理原因", dataIndex: "handlingReason", key: "handlingReason", width: 80, type: "txt" },
  { title: "不足原因", dataIndex: "defReason", key: "defReason", width: 80, type: "txt" },
  { title: "处理措施", dataIndex: "handlingMeasure", key: "handlingMeasure", width: 80, type: "txt" },


  // {
  //   title: '商品名称',
  //   dataIndex: 'itemName',
  //   key: 'itemName', 
  //   width: 100
  // },
  // {
  //   title: '商品编码',
  //   dataIndex: 'itemNum',
  //   key: 'itemNum', 
  //   width: 100
  // },
  // {
  //   title: '商品规格',
  //   dataIndex: 'specification',
  //   key: 'specification', 
  //   width: 100
  // },
  // { title: '商品助记码', dataIndex: 'itemZjm', key: 'itemZjm', width: 100 },
  // {
  //   title: '上市许可持有人',
  //   dataIndex: 'itemHealthListedLicensor',
  //   key: 'itemHealthListedLicensor', 
  //   width: 120
  // },
  // {
  //   title: '生产企业许可证号',
  //   dataIndex: 'itemHealthProduceLicense',
  //   key: 'itemHealthProduceLicense', 
  //   width: 120
  // },
  // {
  //   title: '商品整散分离标识',
  //   dataIndex: 'itemIsPieceOrCase',
  //   key: 'itemIsPieceOrCase', 
  //   width: 120
  // },
  // {
  //   title: '生产日期',
  //   dataIndex: 'batchProductionDate',
  //   key: 'batchProductionDate',
  //   customRender(text) {
  //     return moment(text).format('YYYY-MM-DD')
  //   }, 
  //   width: 120
  // },
  // {
  //   title: '有效期天数',
  //   dataIndex: 'shelfLifeDays',
  //   key: 'shelfLifeDays',
  //   customRender(text) {
  //     return moment(text).format('YYYY-MM-DD')
  //   }, 
  //   width: 120
  // },
  // {
  //   title: '件数',
  //   dataIndex: 'caseQty',
  //   key: 'caseQty', 
  //   width: 100
  // },
  // {
  //   title: '零散数',
  //   dataIndex: 'oddPieceQty',
  //   key: 'oddPieceQty', 
  //   width: 100
  // },
  // {
  //   title: '备注',
  //   dataIndex: 'comments',
  //   key: 'comments', 
  //   width: 100
  // },
  // {
  //   title: "是否双人质检",
  //   dataIndex: "itemHealthIsDouble",
  //   key: "itemHealthTwovoflag",
  //   customRender(text) {
  //     return text ? '是' : '否';
  //   }, width: 150
  // },
  // {
  //   title: '商品是否无菌',
  //   dataIndex: 'isBacteria',
  //   key: 'isBacteria',
  //   customRender(text) {
  //     return text ? '是' : '否';
  //   }, width: 150
  // },
  // {
  //   title: '商品是否代管',
  //   dataIndex: 'isHosted',
  //   key: 'isHosted',
  //   customRender(text) {
  //     return text ? '是' : '否';
  //   }, width: 150
  // },
  // {
  //   title: '注册证号',
  //   dataIndex: 'itemHealthRegisterNbr',
  //   key: 'itemHealthRegisterNbr', width: 150
  // },
  // {
  //   title: '商品是否锁定',
  //   dataIndex: 'itemIsLock',
  //   key: 'itemIsLock',
  //   customRender(text) {
  //     return text ? '是' : '否';
  //   }, width: 150
  // },
  // {
  //   title: '入库预留保质天数',
  //   dataIndex: 'inStoreDay',
  //   key: 'inStoreDay', width: 150
  // },
]
export default columns
