import {
  genWarehouseAuthSearchModal, genCargoownerAuthSearchModal,
  genBldgSearchModal, } from "../../../../../SearchModal";

let grid = {
  labelCol: { span: 6 }, span: 8,
};

export const basicData = function (self) {
  return {
    searchItems: [
      ...genWarehouseAuthSearchModal(1, true, false, null, function (rowData, form) {
        self.getL_Type()
      }, grid),
      ...genCargoownerAuthSearchModal(1, true, false, null, null, grid, { mapper: { cargoOwnerId: 'mtlOwnerId' } }),
      // { type: 'input', name: 'bldgId', label: '建筑物', value: '', ...grid },
      // ...genBldgSearchModal(1, false, false, function (vnode, p) {
      //   let vals = self.queryRefFromName('main').$refs.form.form.getFieldsValue();
      //   p.params.warehouseId = vals.warehouseId;
      //   return p;
      // }, null, grid),
      { type: 'input', name: 'containerCode', label: '容器号', value: '', ...grid },
      { type: 'input', name: 'itemCondition', label: '商品', value: '', ...grid },

    ],
    columns: [
      { hidden: true, title: "id", dataIndex: "id", key: "id" },
      { title: "建筑物", dataIndex: "bldgName", key: "bldgName", },
      { title: "区域编号", dataIndex: "whAreaCode", key: "whAreaCode", },
     
    ]

  }
}