export const section_1 = [
  {
    key: 'rcvBillCount',
    title: '收货单数',
    value: 0,
    icon: 'shouhuo1.svg'

  },
  {
    key: 'rcvLineCount',
    title: '收货条目',
    value: 0,

    icon: 'shouhuo1.svg'


  },
  {
    key: 'rqcBillCount',
    title: '验收单数',
    value: 0,
    icon: 'shouhuo1.svg',
    icon: 'yanshou1.svg'

  },
  {
    key: 'rqcLineCount',
    title: '验收条目',
    value: 0,
    icon: 'wanchenglv1.svg',
    icon: 'yanshou1.svg'


  },

  {
    key: 'instockCount',
    title: '上架条目',
    value: 0,
    icon: 'shangjia1.svg',

  },
  {
    key: 'rqcCompletePrec',
    title: '验收完成率',
    format: true,
    value: '0%',
    icon: 'shangjia2.svg',

  },
  {
    key: 'instockCompletePrec',
    title: '上架完成率',
    format: true,
    value: '0%',
    icon: 'shangjia2.svg',


  }
]

/*
 *@入库未完成作业监控
 */
export const section_2 = [
  {
    key: 'noInstockCount',
    title: '上架未完成条目',
    value: 0
  },
  {
    key: 'noRqcCount',
    title: '验收未完成条目',
    value: 0
  },
  {
    key: 'noReRqcCount',
    title: '复检未完成条目',
    value: 0
  },
  {
    key: 'noRcvCount',
    title: '收货未完成条目',
    value: 0
  }
]

/*
 *@采购订单监控
 */
export const section_3 = [
  {
    key: 'billLineCount',
    title: '订单明细数',
    value: 0
  },
  {
    key: 'billCount',
    title: '下发订单数',
    value: 0
  },
  {
    key: 'billLineClose',
    title: '订单关闭数',
    value: 0
  }
]

/*
 *@验收超时监控

 rqc72Timeout:0  -- 验收超时72小时数据
rqc24Timeout:0  -- 验收超时24小时数据
rqc48Timeout:0 -- 验收超时48小时数据
rqc72TimeoutPrec -- 验收72小时超时率
rqc48TimeoutPrec -- 验收48小时超时率
rqc24TimeoutPrec -- 验收24小时超时率
*/
export const section_4 = [
  {
    key: 'rqc24Timeout',
    key_sub: 'rqc24TimeoutPrec',
    title: '验收超时单数据24H',
    title_sub: '验收超时率24H',
    value: 0,
    value_sub: '0%'
  },
  {
    key: 'rqc48Timeout',
    key_sub: 'rqc48TimeoutPrec',
    title: '验收超时单数据48H',
    title_sub: '验收超时率48H',
    value: 0,
    value_sub: '0%'
  },
  {
    key: 'rqc72Timeout',
    key_sub: 'rqc72TimeoutPrec',
    title: '验收超时单数据48H+',
    title_sub: '验收超时率48H+',
    value: 0,
    value_sub: '0%'
  }
]

/*
 *@上架超时监控

 instock72TimeoutPrec:0  --  上架72小时超时率
instock24TimeoutPrec:0 -- 上架24小时超时率
instock48TimeoutPrec:0 --  上架48小时超时率
instock24Timeout:0 -- 上架24小时超时数据
instock72Timeout:0 -- 上架72小时超时数据
instock48Timeout:0 -- 上架48小时超时数据

 */
export const section_5 = [
  {
    key: 'instock24Timeout',
    key_sub: 'instock24TimeoutPrec',
    title: '上架超时单数据24H',
    title_sub: '上架超时率24H',
    value: 0,
    value_sub: '0%'
  },
  {
    key: 'instock48Timeout',
    key_sub: 'instock48TimeoutPrec',
    title: '上架超时单数据48H',
    title_sub: '上架超时率48H',
    value: 0,
    value_sub: '0%'
  },
  {
    key: 'instock72Timeout',
    key_sub: 'instock72TimeoutPrec',
    title: '上架超时率48H+',
    title_sub: '上架超时率48H+',
    value: 0,
    value_sub: '0%'
  }
]
//错误修改监控

// rqcErrorNocompleteCount:0 --验收异常未处理条目数
// instockErrorCompleteCount:0 -- 上架异常已处理条目
// instockErrorNocompleteCount:0 -- 上架异常未处理条目
// rqcErrorCompleteCount:0 --验收异常已处理条目数

/*
 *@错误异常监控 */
 export const section_6 = [
  {
    key: 'instockErrorCompleteCount',
    title: '上架异常已处理条目',
    value: 0
  },
  {
    key: 'instockErrorNocompleteCount',
    title: '上架异常未处理条目',
    value: 0
  },
  {
    key: 'rqcErrorCompleteCount',
    title: '验收异常已处理条目数',
    value: 0
   },
   {
    key: 'rqcErrorNocompleteCount',
    title: '验收异常未处理条目数',
    value: 0
  },
]