import store from "@/store";

export const tableColumnsConfig = [
    { title: "itemId", dataIndex: "itemId", key: "itemId", width: 80, type: "txt",hidden:true },
    { title: "taskRqcId", dataIndex: "taskRqcId", key: "taskRqcId", width: 80, type: "txt",hidden:true },
    { title: "refBillLineId", dataIndex: "refBillLineId", key: "refBillLineId", width: 80, type: "txt",hidden:true },
    { title: "订单编号", dataIndex: "srcCode", key: "srcCode", width: 80, type: "txt" },
    { title: "容器号", dataIndex: "containerCode", key: "containerCode", width: 80, type: "txt" },
    { title: "批号", dataIndex: "manufacturerLotNum", key: "manufacturerLotNum", width: 80, type: "txt" },
    { title: "商品名称", dataIndex: "itemName", key: "itemName", width: 80, type: "txt" },
    { title: "商品编号", dataIndex: "itemCode", key: "itemCode", width: 80, type: "txt" },
    { title: "规格", dataIndex: "specification", key: "specification", width: 80, type: "txt" },
    { title: "数量", dataIndex: "pieceQty", key: "pieceQty", width: 80, type: "txt" },
    { title: "件数", dataIndex: "caseQty", key: "caseQty", width: 60, type: "txt" },
    { title: "零散数", dataIndex: "oddPieceQty", key: "oddPieceQty", width: 80, type: "txt" },
    { title: "包装单位", dataIndex: "uom", key: "uom", width: 80, type: "txt" },
    { title: "中包装", dataIndex: "middleSu", key: "middleSu", width: 80, type: "txt" },
    { title: "大包装", dataIndex: "maxSu", key: "maxSu", width: 80, type: "txt" },
    { title: "生产厂家", dataIndex: "manufacturerName", key: "manufacturerName", width: 80, type: "txt" },
    // { title: "标准托盘量", dataIndex: "palletStdQuantity", key: "palletStdQuantity", width: 80, type: "txt" },
]
export const tableColumns = [
    // { title: "id", dataIndex: "id", key: "id",  type: "txt",hidden:true },
    { title: "监管/防窜码", dataIndex: "supervisionCode", key: "supervisionCode", width: 120, type: "txt" ,ellipsis : true},
    { title: "商品名称", dataIndex: "itemName", key: "itemName", width: 150, type: "txt",ellipsis : true},
]
export const itemsUnlock = [
    {name: 'warehouseId', label: '仓库id', value: store.state.user.warehouse.warehouseId, hidden: true},
    {name: 'specialWorkType', value: '出库监管码解锁', hidden: true},
    {type: 'input', name: 'workercode', label: '用户名', value: '', required: true},
    {type: 'password', name: 'workpassword', label: '密码', value: '', required: true},
    {type: 'textarea', name: 'unlockReason', label: '解锁原因', value: '', required: true},
]
