import { upcloud_base_common,  } from "@/config/serviceSettings";
const model = {
  //暂存区应用范围
  goods: {
    items: [
      {
        type: 'select',
        name: 'stageType',
        label: '单据类型',
        labelCol: { span: 4 },
        span: 24,
        remoteUrl: {
          url: upcloud_base_common+'/dict/listbytype/?dicttypeCodes=pub_workstage_stagetype',
          method: 'post'
        },
        replaceFields: {
          label: 'dictName',
          value: 'dictId'
        },
        autoLoad: true
      },

      {
        type: 'select',
        name: 'bbb',
        label: '动态条件',
        labelCol: { span: 4 },
        span: 24,
        value: '',

        options: [
          { label: '是', value: 'true' },
          { label: '否', value: 'false' }
        ]
      },

      {
        type: 'select',
        name: 'ccc',
        label: '动态SQL',
        labelCol: { span: 4 },
        span: 24,
        value: '',
        options: [
          { label: '是', value: 'true' },
          { label: '否', value: 'false' }
        ]
      }
    ]
  },
  //集货区类型-订单容量规则设置

  goodsallocation: {
    items: [
      {
        type: 'select',
        name: 'aaa',
        label: '因子类型2',
        labelCol: { span: 4 },
        span: 24,
        value: '13123',
        on: {
          change(value, label, options, form) {
            form.setFieldsValue({ 'field-select': value })
          }
        },
        options: [
          { label: '是', value: 'true' },
          { label: '否', value: 'false' }
        ]
      },
      {
        type: 'select',
        name: 'bbb',
        label: '规则因子2',
        labelCol: { span: 4 },
        span: 24,
        value: '',
        on: {
          change(value, label, options, form) {
            form.setFieldsValue({ 'field-select': value })
          }
        },
        options: [
          { label: '是', value: 'true' },
          { label: '否', value: 'false' }
        ]
      },

      {
        type: 'select',
        name: 'ccc',
        labelCol: { span: 4 },
        span: 24,
        label: '逻辑连接符2',
        value: '',
        options: [
          { label: '是', value: 'true' },
          { label: '否', value: 'false' }
        ]
      }
    ]
  }
}
export default model
