import { genWarehouseLogicSearchModal } from "../../../SearchModal";
import { warehouseLogic } from "./searchmodal";

export const logicColumns = function (self) {
    return [
        { hidden: true, type: 'txt', "title": "id", "dataIndex": "stItemLocatorLId", "key": "stItemLocatorLId" },
        { hidden: true, type: 'txt', "title": "id", "dataIndex": "warehouseLogicId", "key": "warehouseLogicId" },
        warehouseLogic(self),
        { type: 'txt', "title": "逻辑区名称", "dataIndex": "warehouseLogicName", "key": "warehouseLogicName" },
        { hidden: true, type: 'txt', "title": "建筑物", "dataIndex": "bldgName", "key": "bldgName", width: 120 },
        { type: 'txt', "title": "操作", "dataIndex": "operation", "key": "operation", width: 50, scopedSlots: { customRender: 'operation' }, },
    ];
}


export const alColumns = [
    { hidden: true, type: 'txt', "title": "id", "dataIndex": "algorithmId", "key": "algorithmId" },
    { hidden: true, type: 'txt', "title": "算法编码", "dataIndex": "algorithmCode", "key": "algorithmCode", width: 120 },
    { type: 'number', min: 1, "title": "排序", "dataIndex": "algorithmSortIdx", "key": "algorithmSortIdx", width: 50 },
    { type: 'txt', "title": "算法名称", "dataIndex": "algorithmName", "key": "algorithmName", width: 120 },
    { type: 'txt', "title": "算法描述", "dataIndex": "algorithmDesc", "key": "algorithmDesc" },
];


