import Vue from 'vue'
import Vuex from 'vuex'

import app from './modules/app'
import user from './modules/user'
import outBound from '../views/kzyWMS/outBound/stroe'

// default router permission control
// import permission from './modules/permission' // 屏蔽默认的路由替换为下面的动态路由

// dynamic router permission control (Experimental)
import permission from './modules/async-router'
import getters from './getters'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    app,
    user,
    permission,
    outBound
  },
  state: {},
  mutations: {},
  actions: {},
  getters
})
