const config = {
  items: [
    {
      span: 6,
      type: 'input',
      name: 'containerNo',
      label: '容器号',
      value: '',
    },
    {
      span: 6,
      type: 'input',
      name: 'palletNo',
      label: '载具编号',
      value: '',
    },
    {
      span: 6,
      type: 'input',
      name: 'areaNo',
      label: '区域编号',
      value: '',
    },

    {
      span: 6,
      type: 'buttonGroup',
      style: { textAlign: 'left' },
      options: [
        {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-right:10px',
          htmlType: 'submit',
        },
        {
          value: '重置',
          icon: 'redo',
          on: {
            click: (event, form) => {
              console.log(form)
              form.resetFields()
            },
          },
        },
      ],
    },
  ],
  details: {
    currentArea: '当前节点区域',
    nextArea: '下个节点区域',
    routeTaskState1: '任务状态',
    routeExecuteState1: '执行状态',
    currentLocation: '当前节点点位',
    nextLocation: '下个节点点位',
    deviceTaskId: '设备任务ID',
    deviceNo: '执行设备编号',
    arriveTime: '到位时间',
    updateTime: '修改时间',
    errorMsg: '错误消息',
  },
}
export default config
