import { axios } from '@/utils/request'
import { centerUrl, routeUrl } from '@/views/EIS/project/sanyEIS/serviceSettings'

// 主界面查询
export const listRemoteUrl = {
  url: centerUrl + '/api/containerMergeTask/getContainerList',
  method: 'get'
}
// 明细查询
export const detailListRemoteUrl = {
  url: centerUrl + '/api/containerMergeTask/getContainerDetalis',
  method: 'get'
}
// 发起合托
export const toMerge = data => {
  return axios.post(centerUrl + '/api/containerMergeTask/batchAdd', data)
}
// 获取站点
// 合托类型传4
export const getStationList = data => {
  return axios.post(routeUrl + '/eisStationService/station/platform', { ...data, pageNum: 1, pageSize: 99, type: 4 })
}