import { itemUrl } from '@/views/EIS/project/sanyEIS/serviceSettings'

export const itemAttr = {
  label: '物料',
  placeholder: '请选择物料',
  targetClick: true,
  targetValueKey: 'itemname',
  remoteUrl: { url: itemUrl + '/item/page', method: 'post' },
  rowKey: 'itemid',
  toolBar: {
    items: [
      { type: 'input', name: 'itemCode', label: '物料编码', value: '' },
      { type: 'input', name: 'itemName', label: '物料名称', value: '' }
    ]
  },
  tableConfig: {
    columns: [
      { ellipsis: true, dataIndex: 'itemCode', title: '物料编码' },
      { ellipsis: true, dataIndex: 'itemName', title: '物料名称' }
    ]
  }
}