export function setFormItems(self) {
  let _this = self
  return [
    // {
    //   type: 'input',
    //   hidden: true,
    //   name: 'id',
    //   label: 'id',
    //   value: ''
    // },
    {
      type: 'input',
      name: 'parame',
      label: '打印机编号/名称',
      value: '',
    },
    {
      type: 'buttonGroup',
      style: { textAlign: 'left' },
      options: [
        {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-left:10px',
          htmlType: 'submit'
        },
        {
          value: '重置',
          icon: 'redo',
          style: 'margin-left:10px',
          on: {
            click: () => {
              self.$refs.formTarget.form.resetFields()
            }
          }
        }
      ]
    }
  ]
}

export function detailFormItems(self) {
  let _this = self
  return [
    // {
    //   type: 'input',
    //   hidden: true,
    //   name: 'branchid',
    //   label: 'branchid',
    //   value: '1000000030',
    // },
    // {
    //   type: 'input',
    //   hidden: true,
    //   name: 'branchId',
    //   label: 'branchId',
    //   value: '',
    // },
    {
      type: 'input',
      hidden: true,
      name: 'printerid',
      label: 'printerid',
      value: '',
    },
    {
      type: 'input',
      hidden: false,
      name: 'printercode',
      label: '打印机编号',
      required:true,
      value: '',
    },
    {
      type: 'input',
      hidden: false,
      name: 'printername',
      label: '打印机名称',
      required:true,
      value: '',
    },
    {
      type: "select",
      name: "status",
      label: "打印机状态",
      value: "",
      options: [
        { label: "已损坏报修", value: "0" },
        { label: "正常", value: "1" },
      ],
    },
    {
      type: 'input',
      hidden: false,
      name: 'tcp',
      label: '打印服务地址',
      value: '',
    },
    // {
    //   type: "select",
    //   name: "printertype",
    //   label: "打印机类型",
    //   value: "",
    //   options: [
    //     { label: "集中式,网络打印机", value: "JZS" },
    //     { label: "分布式,非网络打印机", value: "FBS" },
    //   ],
    // },
    
    {
      type: 'input',
      hidden: false,
      name: 'createdate',
      label: '创建时间',
      value: '',
    },
    // {
    //   type: 'buttonGroup',
    //   style: { textAlign: 'right' },
    //   options: [
    //     {
    //       value: '保存',
    //       btnType: 'primary',
    //       style: 'margin-right:10px',
    //       htmlType: 'submit'
    //     },
    //     {
    //       value: '重置',
    //       on: {
    //         click: () => {
    //           self.$refs.formdetail.form.resetFields()
    //         }
    //       }
    //     }
    //   ]
    // }
  ]
}
export const tableColumnsConfig = [
  {
    title: 'id',
    hidden: true,
    dataIndex: 'id',
  },
  {
    title: '仓库名称',
    width: 150,
    hidden: false,
    dataIndex: 'branchid',
    className: 'v_top',
  },
  {
    title: '打印机编号',
    width: 100,
    hidden: false,
    dataIndex: 'printercode',
    className: 'v_top',
  },
  {
    title: '打印机名称',
    width: 150,
    hidden: false,
    dataIndex: 'printername',
    className: 'v_top',
  },
  {
    title: '打印服务地址',
    width: 150,
    hidden: false,
    dataIndex: 'tcp',
    className: 'v_top',
  },
  {
    title: '状态',
    width: 100,
    hidden: false,
    dataIndex: 'status',
    scopedSlots: { customRender: 'status' },
  },
  // {
  //   title: '打印机类型',
  //   // width: 180,
  //   hidden: false,
  //   dataIndex: 'printertype',
  //   scopedSlots: { customRender: 'printertype' },
  // },
  {
    title: '创建人',
    // width: 180,
    hidden: false,
    dataIndex: 'createby',
    className: 'v_top',
  },
  {
    title: '操作',
    key: 'operate',
    align: 'center',
    fixed: 'right',
    width: 150,
    scopedSlots: { customRender: 'action' },
  },
]
