import {upcloud_base_common} from "@/config/serviceSettings";
const src = upcloud_base_common+'/dict/listbytype?dicttypeCodes='
export const columns = function (self) {
    return [
        { dataIndex: 'cargoOwnerName', title: '货主', width: 150 },
        { dataIndex: 'itemCode', title: '商品编码', width: 150 },
        { dataIndex: 'itemName', title: '商品名称'},
        { dataIndex: 'scanName', title: '操作人', width: 100 },
        // { dataIndex: 'departmentName', title: '部门名称', width: 100 },
        { dataIndex: 'supplierOrShipperCode', title: '单位编码', width: 100 },
        { dataIndex: 'supplierOrShipperName', title: '单位名称', width: 100 },
        { dataIndex: 'scanDate', title: '操作时间', width: 150 },
        {
          dataIndex: 'supervisionType', title: '监管类型', width: 100,
          customRender(text) {
            text == '2' && (text = '销售出库')
            text == '3' && (text = '指定批号销售')
            text == '5' && (text = '退回越库')
            text == '6' && (text = '越库发货')
            text == '7' && (text = 'KK')
            text == '8' && (text = '合格品采退')
            text == '9' && (text = '退货库采退')
            return text
          },
        },
        { dataIndex: 'supervisionCode', title: '监管码', width: 150 },
        { dataIndex: 'uploadFlag', title: '上传状态', width: 150 },
        { dataIndex: 'uploadtimes', title: '上传次数', width: 150 },
        { dataIndex: 'message', title: '上传返回信息', width: 150 },
        { dataIndex: 'refBillId', title: '单据编号', width: 100 },
        // {
        //     title: '操作',
        //     dataIndex: 'operator',
        //     key: 'operator',
        //     fixed: 'right',
        //     width: 100,
        //     scopedSlots: { customRender: 'operator' }
        // }
    ]
};
