import {upcloud_base_wh} from "@/config/serviceSettings";

export const bldg = {
    remoteUrl: { url: upcloud_base_wh+'/wmsWhBldg/v1/page', method: 'get' },
    // 组件用于form组件时，隐藏表单项含id code
    items: [
        { hidden: true, type: 'input', name: 'bldgId', label: 'ID', value: '' },
        { hidden: true, type: 'input', name: 'bldgCode', label: '编码', value: '' },
    ],

    // seach-modal配置
    defSearchConfig: {
        name: 'bldgName', label: '建筑物', title: '建筑物', value: '',
        rowKey: 'bldgId', destroyOnClose: true, targetClick: true,
        targetValueKey: 'bldgName',
    },

    // modal的搜索栏
    defToolBar: { items: [
		{
		  type: 'input',
		  name: 'bldgName',
		  label: '建筑物名称'
		},
		{
		  type: 'input',
		  name: 'bldgCode',
		  label: '建筑物编号'
		}
	] },

    // modal的table配置
    defTableCol: [
        { dataIndex: 'bldgName', title: '建筑物名称' },
        { dataIndex: 'bldgCode', title: '建筑物编号' },
        { dataIndex: 'bldgId', title: '建筑物ID' },
    ]

};

