import {upcloud_base_chain} from "@/config/serviceSettings";
//
export const cargoOwner = {
  remoteUrl: { url: upcloud_base_chain+'/baseCustomerMst/v1.0/findAll', method: 'get' },

  // 组件用于form组件时，隐藏表单项含id code
  items: [
    { hidden: true, type: 'input', name: 'cargoOwnerId', label: '货主ID', value: '' },
    { hidden: true, type: 'input', name: 'cargoOwnerCode', label: '货主编码', value: '' }
  ],

  // seach-modal配置
  defSearchConfig: {
    name: 'cargoOwnerName',
    label: '货主名称',
    title: '货主名称',
    value: '',
    rowKey: 'cargoOwnerId',
    destroyOnClose: true,
    targetClick: true,
    targetValueKey: 'cargoOwnerName'
  },

  // modal的搜索栏
  defToolBar: {
    items: [
      {
        type: 'input',
        name: 'cargoOwnerCode',
        label: '货主编码'
      },
      {
        type: 'input',
        name: 'cargoOwnerName',
        label: '货主名称'
      }
    ]
  },

  // modal的table配置
  defTableCol: [
    { dataIndex: 'cargoOwnerId', title: '货主ID', hidden: true },
    { dataIndex: 'cargoOwnerName', title: '货主名称' },
    { dataIndex: 'cargoOwnerCode', title: '货主编码' }
  ]
}
