import {upcloud_base_wh_control} from "@/config/serviceSettings";
export const item = {
  // 组件用于form组件时，隐藏表单项含id code
  // 条件 货主 仓库
  remoteUrl: { url: upcloud_base_wh_control+'/warehouseitem/itempage', method: 'post' },

  items: [
    { hidden: true, type: 'input', name: 'itemId', label: '商品ID', value: '' },
    { hidden: true, type: 'input', name: 'itemCode', label: '编码', value: '' }
  ],

  // seach-modal配置
  defSearchConfig: {
    name: 'itemName',
    label: '商品名称',
    title: '商品名称',
    value: '',
    rowKey: 'itemCode',
    destroyOnClose: true,
    targetClick: true,
    targetValueKey: 'itemName'
  },

  // modal的搜索栏
  defToolBar: {
    items: [
      {
        type: 'input',
        name: 'itemName',
        label: '商品名称',
        value: ''
      },
      // {
      //   type: 'input',
      //   name: 'itemId',
      //   label: '商品ID',
      //   value: ''
      // },
      {
        type: 'input',
        name: 'itemCode',
        label: '商品编码',
        value: ''
      }
    ]
  },

  // modal的table配置
  defTableCol: [
    { dataIndex: 'itemId', title: 'ID', hidden: true },
    { dataIndex: 'itemName', title: '商品名称' },
    { dataIndex: 'itemCode', title: '商品编码' }
  ]
}
