import {upcloud_base_item} from "@/config/serviceSettings";

export const itemcuring = {
  // 组件用于form组件时，隐藏表单项含id code
  // 条件 货主 仓库
  remoteUrl: { url: upcloud_base_item+'/item/page', method: 'post' },

  items: [
    { hidden: true, type: 'input', name: 'itemId', label: '商品ID', value: '' },
    { hidden: true, type: 'input', name: 'itemCode', label: '编码', value: '' }
  ],

  // seach-modal配置
  defSearchConfig: {
    name: 'itemName',
    label: '商品名称',
    title: '商品名称',
    value: '',
    rowKey: 'itemId',
    destroyOnClose: true,
    targetClick: true,
    targetValueKey: 'itemName'
  },

  // modal的搜索栏
  defToolBar: {
    items: [
      {
        span: 16,
        type: 'input',
        name: 'condition',
        label: '商品名称/编码/助记码',
        value: ''
      }
      // {
      //   type: 'input',
      //   name: 'itemId',
      //   label: '商品ID',
      //   value: ''
      // },
      //   {
      //     span: 12,
      //     type: 'input',
      //     name: 'itemAssistantCode',
      //     label: '助记码',
      //     value: ''
      //   }
    ]
  },

  // modal的table配置
  defTableCol: [
    { dataIndex: 'itemId', title: 'ID', hidden: true },
    { dataIndex: 'itemName', title: '商品名称' },
    { dataIndex: 'itemCode', title: '商品编码' }
  ]
}
