import {upcloud_base_wh} from "@/config/serviceSettings";
// 集货区 ——> 依赖 暂无

export const stage = {
	
	remoteUrl: { url: upcloud_base_wh+'/workstage/page', method: 'get' },

    // 组件用于form组件时，隐藏表单项含id code
    items: [
        { hidden: true, type: 'input', name: 'stageId', label: 'ID', value: '' },
        { hidden: true, type: 'input', name: 'stageCode', label: '编码', value: '' },
    ],

    // seach-modal配置
    defSearchConfig: {
        name: 'stageCode', 
		label: '集货区', 
		title: '集货区', 
		value: '',
        rowKey: 'stageId', 
		destroyOnClose: true, 
		targetClick: true,
        targetValueKey: 'stageCode',
    },

    // modal的搜索栏
    defToolBar: { items: [
		{type: 'input',name: 'stageCode',label: '集货区编码',value: ''},
		{type: 'input',name: 'stageType',label: '集货区类型',value: ''},
	] },

    // modal的table配置
    defTableCol: [
        { dataIndex: 'stageId', title: 'ID', hidden: true },
        { dataIndex: 'stageCode', title: '集货区编码' },
        { dataIndex: 'stageType', title: '集货区类型' },
        { dataIndex: 'shiplineId', title: '运输线路id' },
    ]

};

