import {SERVICE_PLATFORM_POWER_BASE} from "@/config/serviceSettings";
// 工号

export const workercode = {

    remoteUrl: { url: SERVICE_PLATFORM_POWER_BASE+'/employee/page', method: 'get' },
    // 组件用于form组件时，隐藏表单项含id code
    items: [
        { hidden: true, type: 'input', name: 'userId', label: 'ID', value: '' },
        { hidden: true, type: 'input', name: 'locname', label: '人员名称', value: '' },
    ],

    // seach-modal配置
    defSearchConfig: {
        name: 'jobnumber',
        label: '工号',
        title: '工号',
        value: '',
        rowKey: 'jobnumber',
        destroyOnClose: true,
        targetClick: true,
        targetValueKey: 'jobnumber',
    },

    // modal的搜索栏
    defToolBar: {
        items: [
            { type: 'input', name: 'locname', label: '人员名称', value: '', },
            { type: 'input', name: 'jobnumber', label: '工号', value: '', },
        ]
    },

    // modal的table配置
    defTableCol: [
        { dataIndex: 'userId', title: '用户ID', hidden: true },
        { dataIndex: 'jobnumber', title: '工号' },
        { dataIndex: 'locname', title: '人员名称', width: 120 },
        { dataIndex: 'sex', title: '性别' },
        { dataIndex: 'section', title: '民族' },
        { dataIndex: 'contactTel', title: '联系电话' },
        // { dataIndex: 'status', title: '人员状态' },
    ]

};

