//配送信息配置信息
const distributioninfo = {
  columns: [
    {
      name: '经营范围',
      refname: 'HealthScope',
      columns: [
        {
          dataIndex: 'id',
          title: '所属经营范围',
          align: 'center',
          // required: true,
          type: 'select',
          // hidden: true,
          options: [
            { value: 1, label: '是' },
            { value: 0, label: '否' }
          ]
        },
        {
          dataIndex: 'name',
          title: '经营范围名称',
          align: 'center',
          // required: true,
          type: 'select',
          options: [
            { value: 1, label: '是' },
            { value: 0, label: '否' }
          ]
        },
        {
          dataIndex: 'ids',
          title: '经营案范围编码',
          align: 'center',
          // required: true,
          type: 'edit'
          // hidden: true,
        },
        {
          dataIndex: 'type',
          title: '证件状态',
          align: 'center',
          // required: true,
          type: 'select',
          options: [
            { value: 1, label: '是' },
            { value: 0, label: '否' }
          ]
          // hidden: true,
        },
        {
          dataIndex: 'startime',
          title: '证件起始日期',
          align: 'center',
          // required: true,
          width: 400,
          type: 'edit'
          // hidden: true,
        },
        {
          dataIndex: 'endtime',
          title: '证件截止日期',
          align: 'center',
          // required: true,
          width: 400,
          type: 'edit'
          // hidden: true,
        },
        {
          dataIndex: 'file',
          title: '图片文件',
          align: 'center',
          // required: true,
          width: 200,
          scopedSlots: { customRender: 'file' }
          // type: 'select'
        }

        // {
        //   dataIndex: 'is',
        //   title: '是否使用',
        //   type: 'select',
        //   align: 'center',
        //   required: true,
        //   validateType: 'number',
        //   options: [
        //     { value: 1, label: '是' },
        //     { value: 0, label: '否' }
        //   ]
        // },
        // {
        //   dataIndex: 'goodsNum',
        //   title: '数量',
        //   type: 'number',
        //   max: 100,
        //   min: 0,
        //   width: 100
        // },
        // {
        //   dataIndex: 'toggle',
        //   title: '切换',
        //   type: 'switch',
        //   checkedChildren: '开',
        //   unCheckedChildren: '关'
        // },
        // {
        //   dataIndex: 'time',
        //   title: '时间',
        //   type: 'date',
        //   align: 'center',
        //   required: true
        // },
      ],
      datalist: [
        {
          id: '210000199707242362',
          name: '曹军',
          ages: 21,
          is: 1,
          address: '新疆维吾尔自治区 喀什地区 塔什库尔干塔吉克自治县'
        },
        {
          id: '430000197205201677',
          name: '汪敏',
          ages: 43,
          is: 0,
          address: '陕西省 榆林市 横山县'
        }
      ]
    },
    {
      name: '证件资料',
      refname: 'HealthLicense',
      columns: [
        {
          dataIndex: 'num',
          title: '证件号码',
          align: 'center',
          // required: true,
          type: 'edit'
          // hidden: true,
        },
        {
          dataIndex: 'id',
          title: '证件名称',
          align: 'center',
          // required: true,
          type: 'select',
          options: [
            { value: 1, label: '是' },
            { value: 0, label: '否' }
          ]
        },
        {
          dataIndex: 'name',
          title: '证件编码',
          align: 'center',
          // required: true,
          type: 'edit'
          // hidden: true,
        },
        {
          dataIndex: 'type',
          title: '证件状态',
          align: 'center',
          // required: true,
          type: 'select',
          options: [
            { value: 1, label: '是' },
            { value: 0, label: '否' }
          ]
          // hidden: true,
        },
        {
          dataIndex: 'startime',
          title: '证件起始日期',
          align: 'center',
          // required: true,
          width: 400,
          type: 'edit'
          // hidden: true,
        },
        {
          dataIndex: 'endtime',
          title: '证件截止日期',
          align: 'center',
          // required: true,
          width: 400,
          type: 'edit'
          // hidden: true,
        },
        {
          dataIndex: 'file',
          title: '图片文件',
          align: 'center',
          // required: true,
          width: 200,
          scopedSlots: { customRender: 'file' }
          // type: 'select'
        }

        // {
        //   dataIndex: 'is',
        //   title: '是否使用',
        //   type: 'select',
        //   align: 'center',
        //   required: true,
        //   validateType: 'number',
        //   options: [
        //     { value: 1, label: '是' },
        //     { value: 0, label: '否' }
        //   ]
        // },
        // {
        //   dataIndex: 'goodsNum',
        //   title: '数量',
        //   type: 'number',
        //   max: 100,
        //   min: 0,
        //   width: 100
        // },
        // {
        //   dataIndex: 'toggle',
        //   title: '切换',
        //   type: 'switch',
        //   checkedChildren: '开',
        //   unCheckedChildren: '关'
        // },
        // {
        //   dataIndex: 'time',
        //   title: '时间',
        //   type: 'date',
        //   align: 'center',
        //   required: true
        // },
      ],
      datalist: [
        {
          id: '210000199707242362',
          name: '曹军',
          ages: 21,
          is: 1,
          address: '新疆维吾尔自治区 喀什地区 塔什库尔干塔吉克自治县'
        },
        {
          id: '430000197205201677',
          name: '汪敏',
          ages: 43,
          is: 0,
          address: '陕西省 榆林市 横山县'
        }
      ]
    }
  ],
  datalist: [
    {
      id: '210000199707242362',
      name: '曹军',
      ages: 21,
      is: 1,
      address: '新疆维吾尔自治区 喀什地区 塔什库尔干塔吉克自治县'
    },
    {
      id: '430000197205201677',
      name: '汪敏',
      ages: 43,
      is: 0,
      address: '陕西省 榆林市 横山县'
    }
  ]
}

export default distributioninfo
