export const dictTypeSearchItems = function(that) {
  return [
    {
      type: 'input',
      name: 'cargoOwnerCode',
      label: '货主编码',
      value: ''
    },
    {
      type: 'input',
      name: 'cargoOwnerName',
      label: '货主名称',
      value: '',
      rules: [{ max: 30, message: '输入框内容过长,最多输入30个字符' }]
    },
    {
      type: 'input',
      name: 'zjm',
      span: 8,
      label: '助记码',
      value: '',
      rules: [{ max: 10, message: '输入框内容过长,最多输入10个字符' }]
    },

    {
      type: 'select',
      name: 'status',
      label: '货主状态',
      span: 8,
      value: '',
      options: [
        { label: '待审核', value: '0' },
        { label: '审核通过', value: '1' },
        { label: '驳回', value: '2' },
        { label: '作废', value: '3' }
      ]
    }
    // {
    //   type: 'buttonGroup',
    //   style: { textAlign: 'center' },
    //   options: [
    //     {
    //       value: '查询',
    //       icon: 'search',
    //       btnType: 'primary',
    //       style: 'margin-right:10px',
    //       // htmlType: '',
    //       on: {
    //         click(event, form) {
    //           that.remoteParams = form.getForm().getFieldsValue()
    //         }
    //       }
    //     },
    //     {
    //       value: '重置',
    //       name: 'ccz',
    //       icon: 'redo',
    //       on: {
    //         click(event, form) {
    //           // form.hiddenItem('field-number')
    //           form.getForm().resetFields()
    //         }
    //       }
    //     }
    //   ]
    // }
  ]
}

export const dictSearchItems = [
  {
    type: 'input',
    name: 'dictCode',
    label: '字典编号',
    value: ''
  },
  {
    type: 'input',
    name: 'dictName',
    label: '字典名称',
    value: ''
  },
  {
    type: 'select',
    name: 'isEnable',
    label: '状态',
    value: '',
    options: [
      { label: '全部', value: '' },
      { label: '启用', value: 1 },
      { label: '未启用', value: 0 }
    ]
  },
  {
    type: 'buttonGroup',
    style: { textAlign: 'center' },
    options: [
      {
        value: '查询',
        icon: 'search',
        btnType: 'primary',
        style: 'margin-right:10px',
        htmlType: 'submit'
      },
      {
        value: '重置',
        name: 'ccz',
        icon: 'redo',
        on: {
          click(event, form) {
            form.hiddenItem('field-number')
          }
        }
      }
    ]
  }
]
