export const columns = [
  {
    title: '客户名称',
    dataIndex: 'customerName',
    key: 'customerName',
    width: 150
  },
  {
    title: '客户编码',
    dataIndex: 'customerCode',
    key: 'customerCode'
  },
  {
    title: '客户ID',
    dataIndex: 'customerId',
    key: 'customerId',
    hidden: true
  },
  {
    title: '客户状态',
    dataIndex: 'status',
    key: 'status',
    // hidden: true
    customRender: text => {
      var a = ''
      if (text == 0) {
        a = '待审核'
      }
      if (text == 1) {
        a = '审核通过'
      }
      if (text == 2) {
        a = '驳回'
      }
      if (text == 3) {
        a = '作废'
      }
      return a
    }
    // customRender(text) {
    //   const a = ''
    //   switch (text) {
    //     case 0:
    //       a = '待审核'
    //       break
    //     case 1:
    //       a = '审核通过'
    //       break
    //     case 2:
    //       a = '驳回'
    //       break
    //     case 3:
    //       a = '作废'
    //       break
    //   }
    //   return <div>{a}</div>
    // }
  },
  //   customerKeywords
  {
    title: '助记码',
    dataIndex: 'customerKeywords',
    key: 'customerKeywords'
    // hidden: true
  },
  {
    title: '银行账户',
    dataIndex: 'bankAccountNum',
    key: 'bankAccountNum'
    // hidden: true
  },

  {
    title: '开户行',
    dataIndex: 'bankName',
    key: 'bankName'
  },

  {
    title: '创建时间',
    dataIndex: 'gmtCreate',
    key: 'gmtCreate'
  },
  {
    title: '修改时间',
    dataIndex: 'gmtModified',
    key: 'gmtModified'
  },
  {
    title: '创建人',
    dataIndex: 'creatorName',
    key: 'creatorName'
  },
  {
    title: '修改人',
    dataIndex: 'modifierName',
    key: 'modifierName'
  },

  {
    title: '操作',
    dataIndex: 'operator',
    key: 'operator',
    scopedSlots: { customRender: 'operator' }
  }
]
