import { genCargoownerAuthSearchModal } from '@/views/kzyWMS/SearchModal'
import { upcloud_base_chain, upcloud_base_common } from '@/config/serviceSettings'
// 货主管理配置
const src = upcloud_base_common + '/dict/listbytype?dicttypeCodes='
let ColConfig = {
  labelCol: { span: 16 },
  wrapperCol: { span: 8 }
}
const newfield = [
  // 1、增加字段：是否商品拦截。
  {
    type: 'input',
    name: 'lotNumUpper',
    span: 6,
    label: '批号个数上限',
    // labelCol: { span: 8 },
    value: '',
    // rules: [{ max: 10, message: '输入框内容过长,最多输入10个字符' }],
    options: [
      { label: '是', value: '1' },
      { label: '否', value: '0' }
    ]
  },
  {
    type: 'input',
    name: 'businessScopeUpper',
    span: 6,
    // labelCol: { span: 8 },
    label: '经营范围信息',
    value: '',
    // rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }],
    options: [
      { label: '是', value: '1' },
      { label: '否', value: '0' }
    ]
  },
  {
    type: 'SwitchValue',
    name: 'isQrCodeSupervise',
    span: 6,
    labelCol: { span: 12 },
    wrapperCol: { span: 8 },
    label: '是否扫描监管码',
    value: 1,
    options: [
      { label: '是', value: 1 },
      { label: '否', value: 0 }
    ]
  }
  //   isQrCodeSupervise
]
const custom = {
  //编写新增 表单
  custom: [
    {
      type: 'input',
      name: 'customerName',
      span: 6,
      label: '客户名称',
      required: true,
      rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }],
      value: ''
    },
    {
      type: 'input',
      name: 'customerCode',
      span: 6,
      label: '客户编码',
      required: true,
      rules: [{ max: 32, message: '输入框内容过长,最多输入32个字符' }],
      value: ''
    },
    {
      type: 'input',
      name: 'customerKeywords',
      span: 6,
      label: '客户模糊查询码',
      required: true,
      rules: [{ max: 32, message: '输入框内容过长,最多输入32个字符' }],
      value: ''
    },
    {
      type: 'input',
      name: 'customerNameEn',
      span: 6,
      label: '客户英文名',
      //   required: true,
      //   rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }],
      value: ''
    },
    {
      type: 'input',
      name: 'customerShortName',
      span: 6,
      label: '客户简称(中文)',
      //   rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }],
      //   required: true,
      value: ''
    },
    {
      //   required: true,
      type: 'select',
      name: 'status',
      label: '客户状态',
      span: 6,
      value: '',
      options: [
        { label: '待审核', value: '0' },
        { label: '审核通过', value: '1' },
        { label: '驳回', value: '2' },
        { label: '作废', value: '3' }
      ]
    },
    // {
    //   type: 'input',
    //   name: 'cargoOwnerType',
    //   span: 6,
    //   label: '联系人',
    //   value: ''
    // },

    // {
    //   type: 'input',
    //   name: 'contactName',
    //   span: 6,
    //   label: '联系电话',
    //   value: ''
    // },
    // {
    //   type: 'select',
    //   name: 'enterpriseId',
    //   span: 6,
    //   label: '企业类型',
    //   required: true,
    //   value: '',
    //   autoLoad: true,
    //   remoteUrl: { url: src + 'enterprise_type', method: 'post' },
    //   replaceFields: {
    //     value: 'dictCode',
    //     label: 'dictName'
    //   },
    //   on: {
    //     change(label, value, rowData, form) {
    //     }
    //   }
    // },

    // {
    //   type: 'input',
    //   name: 'cargoOwnerId',
    //   span: 6,
    //   label: '货主名称',
    //   value: ''
    // },
    ...genCargoownerAuthSearchModal(1, false, false, null, null, {
      span: 6,
      labelCol: { span: 6 },
      wrapperCol: { span: 14 }
    }),
    {
      type: 'input',
      name: 'cargoOwnerId',
      span: 6,
      disabled: true,
      label: '货主编码',
      value: ''
    },
    {
      type: 'input',
      name: 'bankAccountName',
      span: 6,
      label: '法人代表',
      rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }],
      value: ''
    },
    {
      type: 'input',
      name: 'bankName',
      span: 6,
      label: '开户银行',
      rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }],
      value: ''
    },
    {
      type: 'input',
      name: 'bankAccountNum',
      span: 6,
      label: '银行账户',
      rules: [{ max: 32, message: '输入框内容过长,最多输入32个字符' }],
      value: ''
    },
    {
      type: 'input',
      name: 'invoiceTitle',
      span: 6,
      label: '发票抬头',
      rules: [{ max: 50, message: '输入框内容过长,最多输入50个字符' }],
      value: ''
    },

    // {
    //   type: 'select',
    //   name: 'country',
    //   span: 6,
    //   label: '国家',
    //   value: '中国',
    //   options: [
    //     { value: '中国', label: '中国' },
    //     { value: '外国', label: '外国' }
    //   ]
    // },

    // {
    //   type: 'select',
    //   name: 'province',
    //   span: 6,
    //   label: '省份',
    //   value: '湖北',
    //   options: [
    //     { value: '湖北', label: '湖北' },
    //     { value: '湖南', label: '湖南' }
    //   ]
    // },

    // {
    //   type: 'select',
    //   name: 'city',
    //   span: 6,
    //   label: '市',
    //   value: '武汉',
    //   options: [
    //     { value: '武汉', label: '武汉' },
    //     { value: '上海', label: '上海' }
    //   ]
    // },
    // {
    //   type: 'select',
    //   name: 'area',
    //   span: 6,
    //   label: '区(县)',
    //   value: '硚口',
    //   options: [
    //     { value: '硚口', label: '硚口' },
    //     { value: '汉口', label: '汉口' }
    //   ]
    // },
    {
      type: 'input',
      name: 'zipCode',
      span: 6,
      label: '邮编',
      rules: [{ max: 10, message: '输入框内容过长,最多输入10个字符' }],
      value: ''
    },
    // {
    //   type: 'select',
    //   name: 'attribute1',
    //   span: 6,
    //   label: '客户等级',
    //   value: '高',
    //   options: [
    //     { value: '中', label: '中' },
    //     { value: '高', label: '高' },
    //     { value: '低', label: '低' }
    //   ]
    // },
    {
      type: 'select',
      name: 'attribute1',
      span: 6,
      label: '客户等级',
      value: '',
      autoLoad: true,
      remoteUrl: { url: src + 'pub_workstage_customertype', method: 'post' },
      replaceFields: {
        value: 'dictCode',
        label: 'dictName'
      },
      on: {
        change(label, value, rowData, form) {}
      }
    },

    {
      type: 'input',
      name: 'customerSiteId',
      span: 6,
      // labelCol: { span: 1, offset: 1 },
      label: '注册地址',
      rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }],
      value: ''
    },
    {
      type: 'textarea',
      name: 'customerDesc',
      limit: 100,
      rules: [{ max: 100, message: '输入框内容过长,最多输入100个字符' }],
      span: 6,
      //   labelCol: { span: 3, offset: 1 },
      label: '备注',
      style: {
        height: '100px'
      },
      value: ''
    },
    {
      type: 'input',
      name: 'isTwoVote',
      span: 6,
      label: '是否两票制单位',
      value: ''
    },
    {
      type: 'input',
      name: 'isDrugTest',
      span: 6,
      label: '是否药检客户',
      value: ''
    },
    {
      type: 'input',
      name: 'taxPaperType',
      span: 6,
      label: '发票纸张类型',
      value: ''
    },
    ...newfield,
    {
      type: 'input',
      name: 'taxNumber',
      span: 6,
      label: '税号',
      value: ''
    },
    {
      type: 'input',
      name: 'businessLeader',
      span: 6,
      label: '企业负责人',
      value: ''
    },
    {
      type: 'input',
      name: 'unifiedSocialCode',
      span: 6,
      label: '统一社会信用代码',
      value: ''
    },
    {
      type: 'input',
      name: 'qualityLeader',
      span: 6,
      label: '质量负责人',
      value: ''
    },
    {
      type: 'input',
      name: 'allowBuyIndate',
      span: 6,
      label: '允许购进日期',
      value: ''
    },
    {
      type: 'select',
      name: 'isRecall',

      span: 6,
      label: '是否召回',
      value: '',
      options: [
        { label: '否', value: 0 },
        { label: '是', value: 1 }
      ]
    }
  ],
  Healthcustom: [
    {
      type: 'select',
      name: 'businessLicense',
      span: 6,
      label: '是否三证合一',
      value: '1',
      options: [
        { value: '1', label: '是' },
        { value: '0', label: '否' }
      ]
    },
    {
      type: 'input',
      name: 'elecCode',
      labelCol: { span: 10 },
      wrapperColl: { span: 6 },
      span: 6,
      label: '马上放心编码',
      value: ''
    }
  ],
  HealthLicensecolumns: [
    {
      type: 'edit',
      dataIndex: 'licenseName',
      label: '证件名称',
      title: '证件名称',
      width: 200,
      required: true,
      rules: {
        type: 'string',
        message: '最大长度不能超过60个',
        validator: (rule, value, cb) => {
          value.length >= 60 ? cb(true) : cb()
        }
      },
      //   rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }],
      value: ''
    },
    {
      dataIndex: 'licenseNumber',
      title: '证件编码',
      align: 'center',
      width: 200,
      // required: true,
      type: 'edit',
      rules: [{ max: 60, message: '输入框内容过长,最多输入60个字符' }]
      // hidden: true,
    },
    {
      dataIndex: 'licenseState',
      title: '证件状态',
      align: 'center',
      width: 100,
      // required: true,
      type: 'select',
      value: '1',
      options: [
        { value: '1', label: '有效' },
        { value: '0', label: '过期' }
      ]
      // hidden: true,
    },
    {
      dataIndex: 'startAt',
      title: '证件起始日期',
      align: 'center',
      // required: true,
      width: 200,
      type: 'date',
      format: 'YYYY-MM-DD'
      // hidden: true,
    },
    {
      dataIndex: 'endAt',
      title: '证件截止日期',
      align: 'center',
      // required: true,
      format: 'YYYY-MM-DD',
      width: 200,
      type: 'date'
      // hidden: true,
    },
    {
      dataIndex: 'picUpload',
      title: '图片文件',
      align: 'center',
      // required: true,
      scopedSlots: { customRender: 'file' }
      // type: 'select'
    }
  ],

  scopecolumns: [
    { dataIndex: 'id', title: 'id', hidden: true },
    {
      dataIndex: 'scopeType',
      title: '所属经营范围',
      align: 'center',
      // required: true,
      type: 'select',
      autoLoad: true,
      remoteUrl: { url: src + 'Business_scope', method: 'post' },
      replaceFields: {
        value: 'dictCode',
        label: 'dictName'
      },
      on: {
        change({ label, value, rowData, form }) {}
      }
    },
    {
      dataIndex: 'scopeName',
      title: '经营范围名称',
      align: 'center',
      // required: true,
      type: 'select',
      autoLoad: true,
      remoteUrl: { url: src + 'scope_name', method: 'post' },
      replaceFields: {
        value: 'dictCode',
        label: 'dictName'
      },
      on: {
        change({ label, value, rowData, form }) {}
      }
    },
    {
      dataIndex: 'scopeCode',
      title: '经营案范围编码',
      align: 'center',
      // required: true,
      type: 'edit',
      rules: [{ max: 50, message: '输入框内容过长,最多输入50个字符' }]
    }
  ],
  HealthScopecolumns: [
    {
      dataIndex: 'attribute1',
      title: '地址名称',
      align: 'center',
      // required: true,
      type: 'edit',
      options: [
        { value: 1, label: '是' },
        { value: 0, label: '否' }
      ]
    },
    {
      dataIndex: 'areaId',
      title: '地址编码',
      align: 'center',
      // required: true,
      type: 'edit',
      options: [
        { value: 1, label: '是' },
        { value: 0, label: '否' }
      ]
    },
    {
      dataIndex: 'contactName',
      title: '联系人',
      align: 'center',
      // required: true,
      type: 'edit',
      options: [
        { value: 1, label: '是' },
        { value: 0, label: '否' }
      ]
    },
    {
      dataIndex: 'phoneMobile',
      title: '联系电话',
      align: 'center',
      // required: true,
      type: 'edit',
      options: [
        { value: 1, label: '是' },
        { value: 0, label: '否' }
      ]
    },
    {
      dataIndex: 'address',
      title: '详细地址',
      align: 'center',
      // required: true,
      type: 'edit',
      options: [
        { value: 1, label: '是' },
        { value: 0, label: '否' }
      ]
    },
    {
      dataIndex: 'attribute2',
      title: '收货工作日',
      align: 'center',
      // required: true,
      type: 'edit',
      options: [
        { value: 1, label: '是' },
        { value: 0, label: '否' }
      ]
    },
    {
      dataIndex: 'attribute3',
      title: '窗口1开始时间',
      align: 'center',
      // required: true,
      type: 'date',
      options: [
        { value: 1, label: '是' },
        { value: 0, label: '否' }
      ]
    },
    {
      dataIndex: 'attribute4',
      title: '窗口1结束时间',
      align: 'center',
      // required: true,
      type: 'date'
    }
  ],
  //配送信息
  sitesAllList: [
    // {
    //   type: 'edit',
    //   dataIndex: 'address',

    //   span: 6,
    //   title: '地址名称'
    // },
    {
      type: 'edit',
      dataIndex: 'address',
      label: '地址名称',
      title: '地址名称'
      //   targetClick: true,
      //   targetValueKey: 'dictName',
      //   rowKey: 'dictId',
      //   toolBar: {
      //     items: [
      //       {
      //         type: 'input',
      //         name: 'cargoOwnerName',
      //         label: '货主名称',
      //         span: 6
      //         // placeholder: '请输入单位编号/单位名称/助记码',
      //       },

      //       {
      //         type: 'input',
      //         name: 'cargoOwnerType',
      //         label: '货主类型',
      //         span: 6
      //         // placeholder: '请输入单位编号/单位名称/助记码',
      //       },
      //       {
      //         type: 'input',
      //         name: 'cargoOwnerId',
      //         label: '货主ID',
      //         span: 6
      //         // placeholder: '请输入单位编号/单位名称/助记码',
      //       }
      //     ]
      //   },
      //   tableConfig: {
      //     rowSelectType: 1,
      //     hasRowSelectCheck: true,
      //     columns: [
      //       { dataIndex: 'dictName', title: '货主名称' },
      //       { dataIndex: 'dictCode', title: '货主类型' },
      //       { dataIndex: 'dicttypeName', title: '货主ID' }
      //     ]
      //   },
      //   value: '',
      //   remoteUrl: { url: src + 'saleattribute', method: 'post' },
      //   remoteData: {},
      //   on: {
      //     ok(event, value, rowData, form) {
      //       //   that.cargoOwner = rowData[0]
      //     }
      //   }
    },

    // {
    //   type: 'edit',
    //   dataIndex: 'attribute1',
    //   span: 6,
    //   title: '预留字段1'
    // },
    // {
    //   type: 'edit',
    //   dataIndex: 'attribute2',
    //   span: 6,
    //   title: '预留字段2'
    // },

    {
      type: 'edit',
      dataIndex: 'contactName',

      span: 6,
      title: '联系人姓名'
    },

    // {
    //   type: 'select',
    //   dataIndex: 'defaultFlag',
    //   span: 6,
    //   title: '默认标记',
    //   value: 'Y',
    //   options: [
    //     { value: 'Y', title: 'Y' },
    //     { value: 'N', title: 'N' }
    //   ]
    // },

    // {
    //   type: 'edit',
    //   dataIndex: 'gpsAddress',
    //   span: 6,
    //   title: 'GPS定位地址'
    // },
    // {
    //   type: 'edit',
    //   dataIndex: 'gpsX',
    //   span: 6,
    //   title: '纬度lat'
    // },
    // {
    //   type: 'edit',
    //   dataIndex: 'gpsY',
    //   span: 6,
    //   title: '经度lng'
    // },
    {
      type: 'edit',
      dataIndex: 'phone',
      span: 6,
      title: '电话'
    },
    {
      type: 'edit',
      dataIndex: 'phoneMobile',
      span: 6,
      title: '手机'
    },
    {
      type: 'select',
      title: '配送方向',
      dataIndex: 'segment1',
      width: 140,
      allowClear: true,
      remoteUrl: { url: src + 'common_shiplineid', method: 'post' },
      replaceFields: {
        value: 'dictCode',
        label: 'dictName'
      }
    },
    // {
    //   type: 'date',
    //   dataIndex: 'segment2',
    //   span: 6,
    //   title: '窗口1开始时间',
    //   width: 200,
    //   value: '',
    //   showTime: true,
    //   format: 'YYYY-MM-DD HH:mm:ss'
    //   //   autoLoad: true,
    //   //   remoteUrl: { url: src + 'businesstype', method: 'post' },
    //   //   replaceFields: {
    //   //     value: 'dictCode',
    //   //     label: 'dictName'
    //   //   },
    //   //   on: {
    //   //     change(label, value, rowData, form) {
    //   //     }
    //   //   }
    // },

    // {
    //   type: 'date',
    //   dataIndex: 'segment3',
    //   span: 6,
    //   title: '窗口1结束时间',
    //   width: 200,
    //   value: '',
    //   showTime: true,
    //   format: 'YYYY-MM-DD HH:mm:ss'
    //   //   autoLoad: true,
    //   //   remoteUrl: { url: src + 'businesstype', method: 'post' },
    //   //   replaceFields: {
    //   //     value: 'dictCode',
    //   //     label: 'dictName'
    //   //   },
    //   //   on: {
    //   //     change(label, value, rowData, form) {
    //   //     }
    //   //   }
    // },
    // {
    //   type: 'select',
    //   dataIndex: 'siteType',
    //   span: 6,
    //   title: '地址类型',
    //   value: '发票地址',
    //   options: [
    //     { value: '发票地址', title: '发票地址' },
    //     { value: '配送地址', title: '配送地址' }
    //   ]
    // },

    // {
    //   type: 'edit',
    //   dataIndex: 'vehicleLimit',
    //   span: 6,
    //   title: '限制车型'
    // },
    // {
    //   type: 'edit',
    //   dataIndex: 'waitTime',
    //   span: 6,
    //   title: '等待时长（分钟）'
    // },
    {
      type: 'edit',
      dataIndex: 'zipCode',
      span: 6,
      title: '邮编'
    }
    // {
    //   type: 'textarea',
    //   dataIndex: 'specialFlagDesc',
    //   span: 8,
    //   title: '特殊标记'
    // }
  ],

  //联系人
  contactsAllList: [
    {
      type: 'edit',
      dataIndex: 'contactName',

      span: 6,
      title: '联系人姓名'
    },

    // {
    //   type: 'edit',
    //   dataIndex: 'attribute1',
    //   span: 6,
    //   title: '预留字段1'
    // },
    // {
    //   type: 'edit',
    //   dataIndex: 'attribute2',
    //   span: 6,
    //   title: '预留字段2'
    // },

    {
      type: 'edit',
      dataIndex: 'email',

      span: 6,
      title: '电子邮件'
    },
    {
      type: 'edit',
      dataIndex: 'phone',
      span: 6,
      title: '电话'
    },
    {
      type: 'edit',
      dataIndex: 'phoneMobile',
      span: 6,
      title: '手机'
    },

    // {
    //   type: 'edit',
    //   dataIndex: 'segment1',
    //   span: 6,
    //   title: '预留字段1'
    // },
    // {
    //   type: 'edit',
    //   dataIndex: 'segment2',
    //   span: 6,
    //   title: '预留字段2'
    // },

    {
      type: 'select',
      dataIndex: 'sex',
      span: 6,
      value: '',
      options: [
        { value: 'F', title: '男' },
        { value: 'M', title: '女' }
      ],
      title: '性别'
    },
    {
      type: 'edit',
      dataIndex: 'title',
      span: 6,
      title: '称呼'
    }
  ],

  //受托人
  companyScopecolumns: [
    {
      title: '受托人姓名',
      dataIndex: 'trusteeName',
      ellipsis: true,
      key: 'trusteeName'
    },
    {
      title: '受托人身份证号',
      dataIndex: 'trusteeIdCard',
      ellipsis: true,
      key: 'trusteeIdCard'
    },
    {
      title: '身份证截止日期',
      dataIndex: 'trusteeIdExpireDate',
      ellipsis: true,
      key: 'trusteeIdExpireDate'
    },
    {
      title: '受托人类型',
      dataIndex: 'trusteeType',
      ellipsis: true,
      key: 'trusteeType'
    },
    {
      title: '联系电话',
      dataIndex: 'trusteeTel',
      ellipsis: true,
      key: 'trusteeTel'
    },
    {
      title: '是否授权退回',
      dataIndex: 'isAuthorize',
      ellipsis: true,
      key: 'isAuthorize'
    },
    {
      title: '委托书截止日期',
      dataIndex: 'authorizationExpireDate',
      ellipsis: true,
      key: 'authorizationExpireDate'
    }
  ]
}

export default custom
