export const dictTypeFormItems = [
  {
    type: 'input',
    name: 'typeCode',
    label: '分类编号',
    required: true,
    labelCol: {span: 6},
    value: ''
  },
  {
    type: 'input',
    name: 'typeName',
    label: '分类名称',
    required: true,
    labelCol: {span: 6},
    value: ''
  },
  {
    type: 'SwitchValue',
    name: 'isEnable',
    label: '启用标识',
    labelCol: {span: 6},
    value: 1,
  },
  {
    type: 'textarea',
    name: 'typeDesc',
    label: '备注',
    labelCol: {span: 6},
    value: ''
  },
];

export const dictFormItems = [
  {
    type: 'input',
    name: 'dictCode',
    label: '字典编号',
    labelCol: {span: 6},
    required: true,
    value: ''
  },
  {
    type: 'input',
    name: 'dictName',
    label: '字典名称',
    labelCol: {span: 6},
    required: true,
    value: ''
  },
  {
    type: 'SwitchValue',
    name: 'isEnable',
    label: '启用标识',
    labelCol: {span: 6},
    value: 1,
  },
  {
    type: 'input',
    name: 'attr1',
    label: '分组1',
    labelCol: {span: 6},
    value: ''
  },
  {
    type: 'input',
    name: 'attr2',
    label: '分组2',
    labelCol: {span: 6},
    value: ''
  },
  {
    type: 'input',
    name: 'attr3',
    label: '分组3',
    labelCol: {span: 6},
    value: ''
  },
  {
    type: 'input',
    name: 'attr4',
    label: '分组4',
    labelCol: {span: 6},
    value: ''
  },
  {
    type: 'input',
    name: 'attr5',
    label: '分组5',
    labelCol: {span: 6},
    value: ''
  },
  {
    type: 'textarea',
    name: 'dictDesc',
    label: '备注',
    labelCol: {span: 6},
    value: ''
  }
];

