export const columns = [
  { dataIndex: 'warehouseLogicCode', title: '逻辑区编码', width: 80 },
  { dataIndex: 'warehouseLogicName', title: '逻辑区名称', width: 80 },
  { dataIndex: 'warehouseLogicType', title: '逻辑区类型', width: 80 },
  { dataIndex: 'dcName', title: '所属仓配中心', width: 80 },
  { dataIndex: 'warehouseName', title: '仓库名称', width: 80, scopedSlots: { customRender: 'warehouseName' } },
  { dataIndex: 'bldgName', title: '建筑物名称', width: 80, scopedSlots: { customRender: 'bldgName' } },
  /* { dataIndex: 'warehouseRoomName', title: '库房名称', width: 80, scopedSlots: { customRender: 'warehouseRoomName' } },
  { dataIndex: 'warehouseAreaName', title: '库区名称', width: 80, scopedSlots: { customRender: 'warehouseAreaName' } },
   {dataIndex: 'dcId', title: '冗余字段',width:80,}, */
  { dataIndex: 'floorNum', title: '所在楼层', width: 80 },
  { dataIndex: 'isEnable', title: '是否启用', width: 80, customRender:text=> text=='1'?'是':'否' },
  { dataIndex: 'warehouseLogicDistance', title: '作业距离(米)', width: 80 },
  /* {dataIndex: 'accessLevel', title: '数据访问控制级别',width:80,}, */
  { dataIndex: 'creatorName', title: '创建人', width: 80 },
  { dataIndex: 'modifierName', title: '最后修改人', width: 80 },
  { dataIndex: 'gmtCreate', title: '创建日期', width: 80 },
  { dataIndex: 'gmtModified', title: '最后修改日期', width: 80 },
  { dataIndex: 'attribute1', title: '预留字段1', width: 80 },
  { dataIndex: 'attribute2', title: '预留字段2', width: 80 },
  { dataIndex: 'attribute3', title: '预留字段3', width: 80 },
  { dataIndex: 'attribute4', title: '预留字段4', width: 80 },
  { dataIndex: 'attribute5', title: '预留字段5', width: 80 },
  { dataIndex: 'segment1', title: '预留字段6', width: 80 },
  { dataIndex: 'segment2', title: '预留字段7', width: 80 },
  { dataIndex: 'segment3', title: '预留字段8', width: 80 },
  { dataIndex: 'segment4', title: '预留字段9', width: 80 },
  { dataIndex: 'segment5', title: '预留字段10', width: 80 },
  {
    dataIndex: 'action',
    title: '操作',
    scopedSlots: { customRender: 'action' },
    width: 90,
    fixed: 'right',
    align: 'center'
  }
]