export const columns = [
  { dataIndex: 'warehouseAreaCode', title: '库区编码', scopedSlots: { customRender: 'warehouseAreaCode' }, width: 80 },
  { dataIndex: 'warehouseAreaName', title: '库区名称', scopedSlots: { customRender: 'warehouseAreaName' }, width: 80 },
  { dataIndex: 'warehouseAreaType', title: '库区类型', scopedSlots: { customRender: 'warehouseAreaType' }, width: 80 },
  { dataIndex: 'dcName', title: '所属仓配中心', width: 80 },
  { dataIndex: 'warehouseName', title: '仓库名称', scopedSlots: { customRender: 'warehouseId' }, width: 80 },
  { dataIndex: 'bldgName', title: '建筑物名称', width: 80, scopedSlots: { customRender: 'bldgName' } },
  { dataIndex: 'warehouseRoomName', title: '库房名称', scopedSlots: { customRender: 'warehouseRoomId' }, width: 80 },
  { dataIndex: 'pickMode', title: '拣货方式', customRender:text=> text=='Paper'?'纸单': text ? '设备库' : '', width: 80 },
  { dataIndex: 'splitGroup', title: '拆零分组', scopedSlots: { customRender: 'splitGroup' }, width: 80 },
  { dataIndex: 'cell01', title: '暂存区', scopedSlots: { customRender: 'splitGroup' }, width: 80 },
  /* {dataIndex: 'dcId', title: '冗余字段',scopedSlots: { customRender: 'dcId' },width:80,}, */
  { dataIndex: 'floorNum', title: '所在楼层', scopedSlots: { customRender: 'floorNum' }, width: 80 },
  {
    dataIndex: 'warehouseAreaDistance',
    title: '作业距离(米)',
    scopedSlots: { customRender: 'warehouseAreaDistance' },
    width: 80
  },
  { dataIndex: 'isEnable', title: '是否启用', customRender:text=> text=='1'?'是':'否', width: 80 },
  /* {dataIndex: 'accessLevel', title: '数据访问控制级别',scopedSlots: { customRender: 'accessLevel' },width:80,}, */
  { dataIndex: 'creatorName', title: '创建人', scopedSlots: { customRender: 'creator' }, width: 80 },
  { dataIndex: 'modifierName', title: '最后修改人', scopedSlots: { customRender: 'modifier' }, width: 80 },
  { dataIndex: 'gmtCreate', title: '创建日期', scopedSlots: { customRender: 'gmtCreate' }, width: 80 },
  { dataIndex: 'gmtModified', title: '最后修改日期', scopedSlots: { customRender: 'gmtModified' }, width: 80 },
  { dataIndex: 'attribute1', title: '预留字段1', scopedSlots: { customRender: 'attribute1' }, width: 80 },
  { dataIndex: 'attribute2', title: '预留字段2', scopedSlots: { customRender: 'attribute2' }, width: 80 },
  { dataIndex: 'attribute3', title: '预留字段3', scopedSlots: { customRender: 'attribute3' }, width: 80 },
  { dataIndex: 'attribute4', title: '预留字段4', scopedSlots: { customRender: 'attribute4' }, width: 80 },
  { dataIndex: 'attribute5', title: '预留字段5', scopedSlots: { customRender: 'attribute5' }, width: 80 },
  { dataIndex: 'segment1', title: '预留字段6', scopedSlots: { customRender: 'segment1' }, width: 80 },
  { dataIndex: 'segment2', title: '预留字段7', scopedSlots: { customRender: 'segment2' }, width: 80 },
  { dataIndex: 'segment3', title: '预留字段8', scopedSlots: { customRender: 'segment3' }, width: 80 },
  { dataIndex: 'segment4', title: '预留字段9', scopedSlots: { customRender: 'segment4' }, width: 80 },
  { dataIndex: 'segment10', title: '预留字段10', scopedSlots: { customRender: 'segment10' }, width: 80 },
  {
    dataIndex: 'action',
    title: '操作',
    scopedSlots: { customRender: 'action' },
    width: 90,
    fixed: 'right',
    align: 'center'
  }
]