import { upcloud_base_common } from "@/config/serviceSettings";

export const columns = function (self) {
    return [
        { dataIndex: 'personName', title: '人员名称', width: 150 },
        { dataIndex: 'workercode', title: '工号', width: 150 },
        { dataIndex: 'priority', title: '拣货人员顺序', width: 150 },
        {
            dataIndex: 'worktype',
            title: '作业类型',
            width: 150,
            remoteUrl: { url: upcloud_base_common+'/dict/listbytype?dicttypeCodes=was_worktype', method: 'post' },
            replaceFields: {
              value: 'dictCode',
              label: 'dictName'
            }
        },
        { dataIndex: 'workarea', title: '区域' },
        {
            title: '操作',
            dataIndex: 'operator',
            key: 'operator',
            fixed: 'right',
            width: 100,
            scopedSlots: { customRender: 'operator' }
        }
    ]
};
