import request from '@/utils/request'
import {upcloud_base_item} from "@/config/serviceSettings";

export function getSupplierMst(parameter) {
    return request({
        method: 'get',
        url: upcloud_base_item+'/item/itemCertificate/',
        // contentType:"x-www-form-urlencoded",
        contentType: 'application/x-www-form-urlencoded',
        params: parameter
    });
}

export const cols = [
    { hidden: true, title: 'id', dataIndex: 'id', key: 'id' },
    { hidden: true, title: 'itemId', dataIndex: 'itemId', key: 'itemId' },
    {type:'text', title: '商品名称', dataIndex: 'itemName', key: 'itemName',width:280 },
    {type:'text', title: '图片名称', dataIndex: 'certificateName', key: 'certificateName',width:280 },
    {
        title: '图片地址', dataIndex: 'certificateFile', key: 'certificateFile',width:280,
        scopedSlots: { customRender: 'certificateFile' },
    },
]