
export const extendFormItems = function (_this) {
    return [
        { hidden: true, title: "rcvLineId", dataIndex: "rcvLineId", key: "rcvLineId" },
        { hidden: true, title: "warehouseId", dataIndex: "warehouseId", key: "warehouseId" },

        { type: 'txt', title: "商品编码", dataIndex: "itemNum", width: 120 },
        { type: 'txt', title: "商品大类", dataIndex: "categoryName", width: 120 },
        { type: 'txt', title: "商品名称", dataIndex: "itemName", width: 160 },
        { type: 'txt', title: "商品规格", dataIndex: "specification", width: 120 },
        { type: 'txt', title: "包装单位", dataIndex: "uom", width: 90 },
        { type: 'txt', title: "包装数量", dataIndex: "conversionRate", width: 90 },
        { type: 'txt', title: "件数", dataIndex: "oddCaseQty", width: 120 },
        { type: 'txt', title: "零散数", dataIndex: "oddPieceQty", width: 120 },
        { type: 'txt', title: "数量", dataIndex: "pieceQty", width: 120 },
        { type: 'txt', title: "批号", dataIndex: "manufacturerLotNum", width: 60 },
        {
            type: 'txt', title: "显示生产日期", dataIndex: "showProductionDate", width: 120,
            customRender(text, record) {
                return record.manufacturerLotNum === '*' ? '' :
                    (text ? text.substring(0, 10) : '');
            }
        },
        {
            type: 'txt', title: "显示有效期至", dataIndex: "showExpiredDate", width: 120,
            customRender(text, record) {
                return record.manufacturerLotNum === '*' ? '' :
                    (text ? text.substring(0, 10) : '');
            }
        },
        { type: 'txt', title: "生产厂家", dataIndex: "manufacturerName", width: 120 },
        { type: 'txt', title: "产地", dataIndex: "productionPlace", width: 150 },
        { type: 'txt', title: "上市许可证", dataIndex: "itemHealthProduceLicense", width: 150 },
        { type: 'txt', title: '批准文号', dataIndex: 'itemHealthRegisterNbr', width: 80 },
        { type: 'txt', title: "注册证号", dataIndex: "approvalNumber", width: 100 },



        // { type: 'txt', title: "托盘条码", dataIndex: "containerCode", key: "containerCode", width: 120 },
        // { type: 'txt', title: "商品编号", dataIndex: "itemNum", key: "itemNum", width: 120 },
        // { type: 'txt', title: "商品助记码", dataIndex: "itemZjm", key: "itemZjm", width: 120 },
        // { type: 'txt', title: "批次号", dataIndex: "batchNum", key: "batchNum", width: 120 },
        

    ];
}
