import { rcvTypeOptions } from "../../../../config/options";
import {upcloud_base_common} from "@/config/serviceSettings";
let grid = {
  labelCol: { span: 8 },
  span: 6
};

let ops = [...rcvTypeOptions];
ops.shift();
// 显示验收单号，验收日期（年月日时分秒），
// 复检类型（质量主管复检/质量经理复检），
// 入库类型，验收员qcOperator，质量主管复检人（二级复检时显示）

export const basicData = [
  { hidden: true, type: "input", name: "rqcHeaderId", label: "rqcHeaderId", value: "", },
  { hidden: true, type: "input", name: "warehouseId", label: "warehouseId", value: "", },
  { hidden: true, type: "input", name: "enterpriseId", label: "企业id", value: "", },
  { hidden: true, type: "input", name: "mtlOwnerId", label: "货主id", value: "", },
  { hidden: true, type: "input", name: "vendorId", label: "供应商id", value: "", },

  { type: "input", name: "rqcNo", label: "验收单号", value: "",...grid,disabled:true  },
  { type: "date", name: "rqcDate", label: "验收日期", format: 'YYYY-MM-DD  HH:mm:ss', value: "", ...grid,disabled:true },
  {
    type: 'select', name: 'rcvType', label: '入库类型', value: '', disabled: true,
    remoteUrl: { url: upcloud_base_common+'/dict/listbytype?dicttypeCodes=oms_asn_bill_type', method: 'post' },
    replaceFields: { value: 'dictCode', label: 'dictName' },
    ...grid
  },
  { type: "input", name: "rqcUser", label: "验收员", value: "", ...grid,disabled:true },
  { type: "date", name: "billDate", label: "复检时间", format: 'YYYY-MM-DD', value: "",...grid, },
  { type: "input", name: "comments", label: "复检备注", value: "", ...grid, },
  { hidden: true, type: "input", name: "qcReOpcode", label: "质量主管复检人", value: "", ...grid },
  { hidden: true, type: "input", name: "rqcReType", label: "复检类型", value: "", ...grid },
  // { type: "input", name: "vendorName", label: "供应商", value: "",disabled: true, ...grid},
  // {type: "input", name: "remark", label: "备注", value: "",...grid}
]