import {axios} from '@/utils/request'
import {upcloud_base_wh_inbound, SERVICE_DATA_API_BASE} from "@/config/serviceSettings";

const serverName = upcloud_base_wh_inbound

export const masterRemoteUrl = {
  url: SERVICE_DATA_API_BASE + '/search/page',
  method: 'post'
}

// 拆托重组确认
export const save = data => {
  return axios.post(serverName + '/wmsContainerSupervisionCode/splitConfirm', data)
}

// 作废订单
export const cancelTray = data => {
  return axios.post(serverName + '/wmsContainerSupervisionCode/cancelCode', data)
}