export const certificateAttr = {
  label: '证件名称',
  placeholder: '请选择证件',
  targetClick: true,
  targetValueKey: 'certificateName',
  remoteUrl: { url: '/api/oms-std-maindata/certificateType/certificateTypePopupQuery/v1.0', method: 'post' },
  rowKey: 'id',
  toolBar: {
    items: [
      { type: 'input', name: 'certificateCode', label: '证件编码', value: '', },
      { type: 'input', name: 'certificateName', label: '证件名称', value: '', },
    ]
  },
  tableConfig: {
    columns: [
      { dataIndex: 'certificateCode', title: '证件编码' },
      { dataIndex: 'certificateName', title: '证件名称' }
    ]
  }
}