import store  from '@/store';

// let grid = {
//   labelCol: { span: 4 }, 
// };

export const setFormItems = [

  // { type: 'input', name: 'mtlOwnerName', label: '货主名称', value: '', },
  { type: 'input', name: 'refBillId', label: '单据编号', value: '', },
  // { type: 'input', name: 'businessType', label: '业务类型', value: '', disabled:true },
  {
    type: 'buttonGroup',
    options: [
      {
        value: '解锁',
        icon: 'unlock',
        btnType: 'primary',
        htmlType: 'submit'
      },
      {
        value: '清空',
        icon: 'redo',
        style: 'margin-left:10px',
		on: {
			click(event, form) {
				  form.resetFields();
				},
			},
      }
    ]
  }
];

export const showFormItems = [
  { type: 'input', name: 'refBillLineId', label: '单据编号', value: '', disabled: true },
  { type: 'input', name: 'containerCode', label: '容器号', value: '', disabled: true },
  { type: 'input', name: 'itemName', label: '商品名称', value: '', disabled: true },
  { type: 'input', name: 'manufacturerName', label: '生产厂家', value: '', disabled: true },
  { type: 'input', name: 'maxSu', label: '大包装数', value: '', disabled: true },
  { type: 'input', name: 'middleSu', label: '中包装数', value: '', disabled: true },
]

export  const  itemsUnlock = [
	{ name:'warehouseId',label:'仓库id',value:store.state.user.warehouse.warehouseId,hidden:true },
	{ name:'specialWorkType',value:'出库监管码解锁',hidden:true },
	{ type:'input',name:'workercode',label:'用户名',value:'',required:true },
	{ type:'password',name:'workpassword',label:'密码',value:'',required:true },
	{ type:'textarea',name:'unlockReason',label:'解锁原因',value:'',required:true },
]