import axios from '@/utils/request'
import {upcloud_base_wh_outbound,upcloud_base_common} from "@/config/serviceSettings";

const baseUrl = upcloud_base_wh_outbound
// 列表页
export const listRemoteUrl = {
  url: baseUrl + '/picktask/queryPrintList',
  method: 'post'
}
export const print = data => {
  return axios.post(baseUrl + '/picktask/queryOutboundPrintList', data)
}

// 获取字典
export const getDictionary = dicttypeCodes => {
  return axios.post(upcloud_base_common + `/dict/listbytype?dicttypeCodes=${dicttypeCodes}`).then(res => {
    return res.success ? res.data.map(_ => ({..._, label: _.dictName, value: _.dictCode})) : []
  })
}