import { genWarehouseAuthSearchModal } from  '@/views/kzyWMS/SearchModal';
import  moment   from   'moment';
const grid = { span: 8, labelCol: { span: 6 } };



const items = [
	// 仓库
	...genWarehouseAuthSearchModal(1, true, false,null, null,grid),
	{type: 'input',name: 'billGroupId',label: '合单号',value: '',...grid},
	{type: 'input',name: 'srcCode',label: '来源单号',value: '',...grid},
	{type: "input",name: "shipperName",label: "客户名称",value: "",...grid,},
	{
		span: 8, labelCol: { span: 6 },
		type: 'buttonGroup',
		style: { textAlign: 'center' },
		options: [
		   {value: '查询',icon: 'search',btnType: 'primary',style: 'margin-right:16px',htmlType: 'submit'},
		   {value: '重置',name: 'ccz',icon: 'redo',
			on: {
			  click(event, form) {
				form.resetFields();
					}
				}
			}
	 ]}
];
 
const columns = [
		{ dataIndex:'srcCodes', title:'来源单号'},
	// { dataIndex:'warehouseId', title:'仓库名称'},
	// { dataIndex:'bldgName', title:'建筑物名称'},
	{ dataIndex:'shipperName', title:'承运商名称'},
	{ dataIndex:'consignorName', title:'货主名称'},
	// { dataIndex:'shipperName', title:'客户名称'},
	{ dataIndex:'driverName', title:'司机名称'},
	{ dataIndex:'billGroupId', title:'合单号'},
	{ dataIndex:'lclQty', title:'拼箱数'},
	{ dataIndex:'uomQty', title:'整件数'},
	{ dataIndex:'licensePlateNum', title:'车牌号'},
	{ dataIndex:'status', title:'状态'},
	{ dataIndex:'handoverDate', title:'出库时间', },
	{ dataIndex:'excReason', title:'异常原因'},
	{ dataIndex:'remarks', title:'备注'},
	
	]
	
	
 export { items,columns }
