import request from '@/utils/request'
import qs from 'qs'
import { upcloud_base_wh_outbound ,upcloud_base_common,SERVICE_DATA_API_BASE} from "@/config/serviceSettings";



/* 出库中心 ——> 波次出库 ——> 拣选任务管理
 条件分页查询(接口id) post  */
export function  search_page(params){
  return request ({
    url: SERVICE_DATA_API_BASE+'/search/page',
    method: 'post',
    data: params
  })
}

/* 出库中心 ——> 波次出库 ——> 拣选任务管理
 件查询所有(接口id) 不带分页 post  */
export function  search_noPage(params){
  return request ({
    url: SERVICE_DATA_API_BASE+'/search',
    method: 'post',
    data: params
  })
}


/*  波次出库	——	订单优先级 （订单查询） get	*/
export function  bill_query(params){
  return request ({
    url: upcloud_base_wh_outbound + '/bill/query',
    method: 'post',
    data: params,
    headers: {
      'Content-Type': 'application/json;'
    }
  })
}

/*  波次出库	——	订单优先级 （查询列表） post	*/
export function  status_enum(params){
  return request ({
    url: upcloud_base_wh_outbound + '/wave/bill/status/enum',
    method: 'get',
    params: params,
    headers: {
      'content-type': 'application/x-www-form-urlencoded'
    }
  })
}

/*  波次出库	——	订单优先级 —— 提升订单优先级	*/
export function  bill_update(params){
  return request ({
    url: upcloud_base_wh_outbound + '/bill/update',
    method: 'post',
    data: params,
  })
}


// 数据字典
export function dict_listbytype(params) {
  return request({
    url: upcloud_base_common + '/dict/listbytype',
    method: 'post',
    params: params,
  })
}


// 取消订单
export function cancelBill(params) {
  return request({
    url: upcloud_base_wh_outbound + '/picktask/cancel-bill',
    method: 'get',
    params: params,
  })
}
