
import { genWarehouseAuthSearchModal } from '@/views/kzyWMS/SearchModal'
const tablecolumns = function(that) {
  return {
    gridform: {
      ref: 'gridform',
      items: [
        ...genWarehouseAuthSearchModal(1, false, false, null, null, {
          span: 6,
          labelCol: { span: 6 },
          wrapperCol: { span: 14 }
        }),
        {
          span: 8,
          type: 'buttonGroup',
          style: { textAlign: 'right' },
          options: [
            {
              value: '查询',
              icon: 'search',
              btnType: 'primary',
              on: {
                click(event, form) {
                  //   form.hiddenItem('field-number')
                  that.aaa()
                }
              }
            }
          ]
        }
      ]
    },
    // 暂存区应用范围
    goods: {
      ref: 'goods',
      rowkey: 'key',
      title: '暂存区应用范围',
      columns: [
        {
          title: '单据类型',
          dataIndex: 'name',
          key: 'name'
        },
        {
          title: '动态条件',
          dataIndex: 'age',
          key: 'age'
        },
        {
          title: '动态SQL',
          dataIndex: 'address',
          key: 'address'
        },
        {
          title: '操作',
          key: 'operation',
          scopedSlots: { customRender: 'operation' }
        }
      ]
    },
    // 集货区类型-订单容量规则设置
    goodsallocation: {
      ref: 'goodsallocation',
      rowkey: 'key',
      title: '集货区类型-订单容量规则设置',
      columns: [
        {
          title: '集货区类别',
          dataIndex: 'name',
          key: 'name'
        },
        {
          title: '提货方式',
          dataIndex: 'age',
          key: 'age'
        },
        {
          title: '最小件数',
          dataIndex: 'address',
          key: 'address'
        },
        {
          title: '最大件数',
          dataIndex: 'addres1s',
          key: 'address1'
        },
        {
          title: '操作',
          key: 'operation',
          scopedSlots: { customRender: 'operation' }
        }
      ]
    },
    //集货区类别-存放容量规则设置
    arithmetic: {
      ref: 'arithmetic',
      rowkey: 'key',
      title: '集货区类别-存放容量规则设置',
      columns: [
        {
          title: '集货区类别',
          dataIndex: 'name1',
          key: 'name1'
        },
        {
          title: '提货方式',
          dataIndex: 'name2',
          key: 'name2'
        },
        {
          title: '单据类型',
          dataIndex: 'name3',
          key: 'name3'
        },
        {
          title: '可存放订单数',
          dataIndex: 'name4',
          key: 'name4'
        },
        {
          title: '可存放件数',
          dataIndex: 'name5',
          key: 'name5'
        },
        {
          title: '可存放客户数',
          dataIndex: 'name6',
          key: 'name6'
        },
        {
          title: '可存放体积数',
          dataIndex: 'name7',
          key: 'name7'
        },
        {
          title: '是否允许追加',
          dataIndex: 'nam8e',
          key: 'name8'
        },
        {
          title: '启用/禁用',
          dataIndex: 'name9',
          key: 'name9'
        },
        {
          title: '操作',
          key: 'operation',
          scopedSlots: { customRender: 'operation' }
        }
      ]
    }
  }
}
export default tablecolumns
