/*
 * @Date: 2022-10-17 09:09:15
 * @LastEditors: 陈禹琨 cyk910622@163.com
 * @LastEditTime: 2022-10-20 15:02:36
 * @FilePath: \upcloud-wms-henanyiyao-web\src\views\kzyWMS\outboundStrategy\goods\config\columns.js
 * @Description: cyk
 */
import { upcloud_base_common } from "@/config/serviceSettings";
export const cols1 = [
  { hidden: true, dataIndex: "stItemLocatorHId", key: "stItemLocatorHId", title: "" },

  { title: "建筑物", dataIndex: "bldgName", key: "bldgName", width: 150 },
  {
    title: "库别",
    dataIndex: "warehouseCategoryCode",
    key: "warehouseCategoryCode",
    width: 100,
    // title: '库别', dataIndex: 'warehouseCategoryName', key: 'warehouseCategoryName',
    remoteUrl: { url: upcloud_base_common + "/dict/listbytype?dicttypeCodes=wms_storeroom", method: "post" },
    replaceFields: {
      value: "dictCode",
      label: "dictName",
    },
  },

  { title: "仓库编码", dataIndex: "warehouseCode", key: "warehouseCode", width: 120 },
  { title: "仓库名称", dataIndex: "warehouseName", key: "warehouseName", width: 120 },
  { title: "货主编码", dataIndex: "cargoOwnerCode", key: "cargoOwnerCode", width: 120 },
  { title: "货主名称", dataIndex: "cargoOwnerName", key: "cargoOwnerName", width: 200 },

  { title: "商品大类", dataIndex: "itemCategoryName", key: "itemCategoryName", width: 190 },
  { title: "商品编码", dataIndex: "itemCode", key: "itemCode", width: 120 },
  { title: "商品名称", dataIndex: "itemName", key: "itemName", width: 120 },

  { title: "单位", dataIndex: "caseUom", key: "caseUom", width: 120 },
  { title: "包装数量", dataIndex: "caseConversionRate", key: "caseConversionRate", width: 120 },
  { title: "剂型", dataIndex: "itemHealthType", key: "itemHealthType", width: 120 },
  { title: "商品规格", dataIndex: "pieceConversionRate", key: "pieceConversionRate", width: 120 },

  { title: "库存下限", dataIndex: "stockLowerLimit", key: "stockLowerLimit", width: 120 },
  { title: "库存上限", dataIndex: "stockHigherLimit", key: "stockHigherLimit", width: 120 },

  { title: "存储条件", dataIndex: "storeTemperature", key: "storeTemperature", width: 120 },
  { title: "单据类型", dataIndex: "billtype", key: "单据类型", width: 120, ellipsis: true },

  {
    title: "操作",
    dataIndex: "operation",
    key: "operation",
    width: 90,
    fixed: "right",
    scopedSlots: { customRender: "operation" },
  },
];

export const cols2 = [
  { hidden: true, dataIndex: "stItemLocatorLId", key: "stItemLocatorLId", title: "" },
  { title: "逻辑区编码", dataIndex: "warehouseLogicCode", key: "warehouseLogicCode" },
  { title: "逻辑区名称", dataIndex: "warehouseLogicName", key: "warehouseLogicName" },
  { hidden: true, title: "库位编码", dataIndex: "warehouseLocatorCode", key: "warehouseLocatorCode" },
  { hidden: true, title: "库位名称", dataIndex: "warehouseLocatorName", key: "warehouseLocatorName" },
];

export const cols3 = [
  { title: "算法编码", dataIndex: "algorithmCode", key: "algorithmCode" },
  { title: "算法名称", dataIndex: "algorithmName", key: "algorithmName" },
  { title: "算法描述", dataIndex: "algorithmDesc", key: "algorithmDesc" },
];
